/* -*- mode: maxima -*- */
/* 2-particle correlator */
NQC2(n1,n2):=
  Q(n1,1)*Q(n2,1)-Q(n1+n2,2);
/* 3-particle correlator */
NQC3(n1,n2,n3):=
  Q(n1,1)*Q(n2,1)*Q(n3,1) 
  -Q(n1+n2,2)*Q(n3,1)
  - Q(n2,1)*Q(n1+n3,2)	
  - Q(n1,1)*Q(n2+n3,2)
  + 2.*Q(n1+n2+n3,3);
/* 4-particle correlator */
NQC4(n1,n2,n3,n4):=
  Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n4,1)
  - Q(n1+n2,2)*Q(n3,1)*Q(n4,1)
  - Q(n2,1)*Q(n1+n3,2)*Q(n4,1)
  - Q(n1,1)*Q(n2+n3,2)*Q(n4,1)
  + 2.*Q(n1+n2+n3,3)*Q(n4,1)
  - Q(n2,1)*Q(n3,1)*Q(n1+n4,2)
  + Q(n2+n3,2)*Q(n1+n4,2)
  - Q(n1,1)*Q(n3,1)*Q(n2+n4,2)
  + Q(n1+n3,2)*Q(n2+n4,2)
  + 2.*Q(n3,1)*Q(n1+n2+n4,3)
  - Q(n1,1)*Q(n2,1)*Q(n3+n4,2)
  + Q(n1+n2,2)*Q(n3+n4,2)
  + 2.*Q(n2,1)*Q(n1+n3+n4,3)
  + 2.*Q(n1,1)*Q(n2+n3+n4,3)
  - 6.*Q(n1+n2+n3+n4,4);
/* 5-particle correlator */
NQC5(n1,n2,n3,n4,n5):=
  Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n5,1)
  - Q(n1+n2,2)*Q(n3,1)*Q(n4,1)*Q(n5,1)
  - Q(n2,1)*Q(n1+n3,2)*Q(n4,1)*Q(n5,1)
  - Q(n1,1)*Q(n2+n3,2)*Q(n4,1)*Q(n5,1)
  + 2.*Q(n1+n2+n3,3)*Q(n4,1)*Q(n5,1)
  - Q(n2,1)*Q(n3,1)*Q(n1+n4,2)*Q(n5,1)
  + Q(n2+n3,2)*Q(n1+n4,2)*Q(n5,1)
  - Q(n1,1)*Q(n3,1)*Q(n2+n4,2)*Q(n5,1)
  + Q(n1+n3,2)*Q(n2+n4,2)*Q(n5,1)
  + 2.*Q(n3,1)*Q(n1+n2+n4,3)*Q(n5,1)
  - Q(n1,1)*Q(n2,1)*Q(n3+n4,2)*Q(n5,1)
  + Q(n1+n2,2)*Q(n3+n4,2)*Q(n5,1)
  + 2.*Q(n2,1)*Q(n1+n3+n4,3)*Q(n5,1)
  + 2.*Q(n1,1)*Q(n2+n3+n4,3)*Q(n5,1)
  - 6.*Q(n1+n2+n3+n4,4)*Q(n5,1)
  - Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n1+n5,2)
  + Q(n2+n3,2)*Q(n4,1)*Q(n1+n5,2)
  + Q(n3,1)*Q(n2+n4,2)*Q(n1+n5,2)
  + Q(n2,1)*Q(n3+n4,2)*Q(n1+n5,2)
  - 2.*Q(n2+n3+n4,3)*Q(n1+n5,2)
  - Q(n1,1)*Q(n3,1)*Q(n4,1)*Q(n2+n5,2)
  + Q(n1+n3,2)*Q(n4,1)*Q(n2+n5,2)
  + Q(n3,1)*Q(n1+n4,2)*Q(n2+n5,2)
  + Q(n1,1)*Q(n3+n4,2)*Q(n2+n5,2)
  - 2.*Q(n1+n3+n4,3)*Q(n2+n5,2)
  + 2.*Q(n3,1)*Q(n4,1)*Q(n1+n2+n5,3)
  - 2.*Q(n3+n4,2)*Q(n1+n2+n5,3)
  - Q(n1,1)*Q(n2,1)*Q(n4,1)*Q(n3+n5,2)
  + Q(n1+n2,2)*Q(n4,1)*Q(n3+n5,2)
  + Q(n2,1)*Q(n1+n4,2)*Q(n3+n5,2)
  + Q(n1,1)*Q(n2+n4,2)*Q(n3+n5,2)
  - 2.*Q(n1+n2+n4,3)*Q(n3+n5,2)
  + 2.*Q(n2,1)*Q(n4,1)*Q(n1+n3+n5,3)
  - 2.*Q(n2+n4,2)*Q(n1+n3+n5,3)
  + 2.*Q(n1,1)*Q(n4,1)*Q(n2+n3+n5,3)
  - 2.*Q(n1+n4,2)*Q(n2+n3+n5,3)
  - 6.*Q(n4,1)*Q(n1+n2+n3+n5,4)
  - Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n4+n5,2)
  + Q(n1+n2,2)*Q(n3,1)*Q(n4+n5,2)
  + Q(n2,1)*Q(n1+n3,2)*Q(n4+n5,2)
  + Q(n1,1)*Q(n2+n3,2)*Q(n4+n5,2)
  - 2.*Q(n1+n2+n3,3)*Q(n4+n5,2)
  + 2.*Q(n2,1)*Q(n3,1)*Q(n1+n4+n5,3)
  - 2.*Q(n2+n3,2)*Q(n1+n4+n5,3)
  + 2.*Q(n1,1)*Q(n3,1)*Q(n2+n4+n5,3)
  - 2.*Q(n1+n3,2)*Q(n2+n4+n5,3)
  - 6.*Q(n3,1)*Q(n1+n2+n4+n5,4)
  + 2.*Q(n1,1)*Q(n2,1)*Q(n3+n4+n5,3) 
  - 2.*Q(n1+n2,2)*Q(n3+n4+n5,3)
  - 6.*Q(n2,1)*Q(n1+n3+n4+n5,4)               
  - 6.*Q(n1,1)*Q(n2+n3+n4+n5,4)
  + 24.*Q(n1+n2+n3+n4+n5,5);
/* 6-particle correlator */
NQC6(n1,n2,n3,n4,n5,n6):=
  Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n5,1)*Q(n6,1)
  - Q(n1+n2,2)*Q(n3,1)*Q(n4,1)*Q(n5,1)*Q(n6,1)
  - Q(n2,1)*Q(n1+n3,2)*Q(n4,1)*Q(n5,1)*Q(n6,1)
  - Q(n1,1)*Q(n2+n3,2)*Q(n4,1)*Q(n5,1)*Q(n6,1)
  + 2.*Q(n1+n2+n3,3)*Q(n4,1)*Q(n5,1)*Q(n6,1)
  - Q(n2,1)*Q(n3,1)*Q(n1+n4,2)*Q(n5,1)*Q(n6,1)
  + Q(n2+n3,2)*Q(n1+n4,2)*Q(n5,1)*Q(n6,1)
  - Q(n1,1)*Q(n3,1)*Q(n2+n4,2)*Q(n5,1)*Q(n6,1)
  + Q(n1+n3,2)*Q(n2+n4,2)*Q(n5,1)*Q(n6,1)
  + 2.*Q(n3,1)*Q(n1+n2+n4,3)*Q(n5,1)*Q(n6,1)
  - Q(n1,1)*Q(n2,1)*Q(n3+n4,2)*Q(n5,1)*Q(n6,1)
  + Q(n1+n2,2)*Q(n3+n4,2)*Q(n5,1)*Q(n6,1)
  + 2.*Q(n2,1)*Q(n1+n3+n4,3)*Q(n5,1)*Q(n6,1)
  + 2.*Q(n1,1)*Q(n2+n3+n4,3)*Q(n5,1)*Q(n6,1)
  - 6.*Q(n1+n2+n3+n4,4)*Q(n5,1)*Q(n6,1)
  - Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n1+n5,2)*Q(n6,1)
  + Q(n2+n3,2)*Q(n4,1)*Q(n1+n5,2)*Q(n6,1)
  + Q(n3,1)*Q(n2+n4,2)*Q(n1+n5,2)*Q(n6,1)
  + Q(n2,1)*Q(n3+n4,2)*Q(n1+n5,2)*Q(n6,1)
  - 2.*Q(n2+n3+n4,3)*Q(n1+n5,2)*Q(n6,1)
  - Q(n1,1)*Q(n3,1)*Q(n4,1)*Q(n2+n5,2)*Q(n6,1)
  + Q(n1+n3,2)*Q(n4,1)*Q(n2+n5,2)*Q(n6,1)
  + Q(n3,1)*Q(n1+n4,2)*Q(n2+n5,2)*Q(n6,1)
  + Q(n1,1)*Q(n3+n4,2)*Q(n2+n5,2)*Q(n6,1)
  - 2.*Q(n1+n3+n4,3)*Q(n2+n5,2)*Q(n6,1)
  + 2.*Q(n3,1)*Q(n4,1)*Q(n1+n2+n5,3)*Q(n6,1)
  - 2.*Q(n3+n4,2)*Q(n1+n2+n5,3)*Q(n6,1)
  - Q(n1,1)*Q(n2,1)*Q(n4,1)*Q(n3+n5,2)*Q(n6,1)
  + Q(n1+n2,2)*Q(n4,1)*Q(n3+n5,2)*Q(n6,1)
  + Q(n2,1)*Q(n1+n4,2)*Q(n3+n5,2)*Q(n6,1)
  + Q(n1,1)*Q(n2+n4,2)*Q(n3+n5,2)*Q(n6,1)
  - 2.*Q(n1+n2+n4,3)*Q(n3+n5,2)*Q(n6,1)
  + 2.*Q(n2,1)*Q(n4,1)*Q(n1+n3+n5,3)*Q(n6,1)
  - 2.*Q(n2+n4,2)*Q(n1+n3+n5,3)*Q(n6,1)
  + 2.*Q(n1,1)*Q(n4,1)*Q(n2+n3+n5,3)*Q(n6,1)
  - 2.*Q(n1+n4,2)*Q(n2+n3+n5,3)*Q(n6,1)
  - 6.*Q(n4,1)*Q(n1+n2+n3+n5,4)*Q(n6,1)
  - Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n4+n5,2)*Q(n6,1)
  + Q(n1+n2,2)*Q(n3,1)*Q(n4+n5,2)*Q(n6,1)
  + Q(n2,1)*Q(n1+n3,2)*Q(n4+n5,2)*Q(n6,1)
  + Q(n1,1)*Q(n2+n3,2)*Q(n4+n5,2)*Q(n6,1)
  - 2.*Q(n1+n2+n3,3)*Q(n4+n5,2)*Q(n6,1)
  + 2.*Q(n2,1)*Q(n3,1)*Q(n1+n4+n5,3)*Q(n6,1)
  - 2.*Q(n2+n3,2)*Q(n1+n4+n5,3)*Q(n6,1)
  + 2.*Q(n1,1)*Q(n3,1)*Q(n2+n4+n5,3)*Q(n6,1)
  - 2.*Q(n1+n3,2)*Q(n2+n4+n5,3)*Q(n6,1)
  - 6.*Q(n3,1)*Q(n1+n2+n4+n5,4)*Q(n6,1)
  + 2.*Q(n1,1)*Q(n2,1)*Q(n3+n4+n5,3)*Q(n6,1)
  - 2.*Q(n1+n2,2)*Q(n3+n4+n5,3)*Q(n6,1)
  - 6.*Q(n2,1)*Q(n1+n3+n4+n5,4)*Q(n6,1)
  - 6.*Q(n1,1)*Q(n2+n3+n4+n5,4)*Q(n6,1)
  + 24.*Q(n1+n2+n3+n4+n5,5)*Q(n6,1)
  - Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n5,1)*Q(n1+n6,2)
  + Q(n2+n3,2)*Q(n4,1)*Q(n5,1)*Q(n1+n6,2)
  + Q(n3,1)*Q(n2+n4,2)*Q(n5,1)*Q(n1+n6,2)
  + Q(n2,1)*Q(n3+n4,2)*Q(n5,1)*Q(n1+n6,2)
  - 2.*Q(n2+n3+n4,3)*Q(n5,1)*Q(n1+n6,2)
  + Q(n3,1)*Q(n4,1)*Q(n2+n5,2)*Q(n1+n6,2)
  - Q(n3+n4,2)*Q(n2+n5,2)*Q(n1+n6,2)
  + Q(n2,1)*Q(n4,1)*Q(n3+n5,2)*Q(n1+n6,2)
  - Q(n2+n4,2)*Q(n3+n5,2)*Q(n1+n6,2)
  - 2.*Q(n4,1)*Q(n2+n3+n5,3)*Q(n1+n6,2)
  + Q(n2,1)*Q(n3,1)*Q(n4+n5,2)*Q(n1+n6,2)
  - Q(n2+n3,2)*Q(n4+n5,2)*Q(n1+n6,2)
  - 2.*Q(n3,1)*Q(n2+n4+n5,3)*Q(n1+n6,2)
  - 2.*Q(n2,1)*Q(n3+n4+n5,3)*Q(n1+n6,2)
  + 6.*Q(n2+n3+n4+n5,4)*Q(n1+n6,2)
  - Q(n1,1)*Q(n3,1)*Q(n4,1)*Q(n5,1)*Q(n2+n6,2)
  + Q(n1+n3,2)*Q(n4,1)*Q(n5,1)*Q(n2+n6,2)
  + Q(n3,1)*Q(n1+n4,2)*Q(n5,1)*Q(n2+n6,2)
  + Q(n1,1)*Q(n3+n4,2)*Q(n5,1)*Q(n2+n6,2)
  - 2.*Q(n1+n3+n4,3)*Q(n5,1)*Q(n2+n6,2)
  + Q(n3,1)*Q(n4,1)*Q(n1+n5,2)*Q(n2+n6,2)
  - Q(n3+n4,2)*Q(n1+n5,2)*Q(n2+n6,2)
  + Q(n1,1)*Q(n4,1)*Q(n3+n5,2)*Q(n2+n6,2)
  - Q(n1+n4,2)*Q(n3+n5,2)*Q(n2+n6,2)
  - 2.*Q(n4,1)*Q(n1+n3+n5,3)*Q(n2+n6,2)
  + Q(n1,1)*Q(n3,1)*Q(n4+n5,2)*Q(n2+n6,2)
  - Q(n1+n3,2)*Q(n4+n5,2)*Q(n2+n6,2)
  - 2.*Q(n3,1)*Q(n1+n4+n5,3)*Q(n2+n6,2)
  - 2.*Q(n1,1)*Q(n3+n4+n5,3)*Q(n2+n6,2)
  + 6.*Q(n1+n3+n4+n5,4)*Q(n2+n6,2)
  + 2.*Q(n3,1)*Q(n4,1)*Q(n5,1)*Q(n1+n2+n6,3)
  - 2.*Q(n3+n4,2)*Q(n5,1)*Q(n1+n2+n6,3)
  - 2.*Q(n4,1)*Q(n3+n5,2)*Q(n1+n2+n6,3)
  - 2.*Q(n3,1)*Q(n4+n5,2)*Q(n1+n2+n6,3)
  + 4.*Q(n3+n4+n5,3)*Q(n1+n2+n6,3)
  - Q(n1,1)*Q(n2,1)*Q(n4,1)*Q(n5,1)*Q(n3+n6,2)
  + Q(n1+n2,2)*Q(n4,1)*Q(n5,1)*Q(n3+n6,2)
  + Q(n2,1)*Q(n1+n4,2)*Q(n5,1)*Q(n3+n6,2)
  + Q(n1,1)*Q(n2+n4,2)*Q(n5,1)*Q(n3+n6,2)
  - 2.*Q(n1+n2+n4,3)*Q(n5,1)*Q(n3+n6,2)
  + Q(n2,1)*Q(n4,1)*Q(n1+n5,2)*Q(n3+n6,2)
  - Q(n2+n4,2)*Q(n1+n5,2)*Q(n3+n6,2)
  + Q(n1,1)*Q(n4,1)*Q(n2+n5,2)*Q(n3+n6,2)
  - Q(n1+n4,2)*Q(n2+n5,2)*Q(n3+n6,2)
  - 2.*Q(n4,1)*Q(n1+n2+n5,3)*Q(n3+n6,2)
  + Q(n1,1)*Q(n2,1)*Q(n4+n5,2)*Q(n3+n6,2)
  - Q(n1+n2,2)*Q(n4+n5,2)*Q(n3+n6,2)
  - 2.*Q(n2,1)*Q(n1+n4+n5,3)*Q(n3+n6,2)
  - 2.*Q(n1,1)*Q(n2+n4+n5,3)*Q(n3+n6,2)
  + 6.*Q(n1+n2+n4+n5,4)*Q(n3+n6,2)
  + 2.*Q(n2,1)*Q(n4,1)*Q(n5,1)*Q(n1+n3+n6,3)
  - 2.*Q(n2+n4,2)*Q(n5,1)*Q(n1+n3+n6,3)
  - 2.*Q(n4,1)*Q(n2+n5,2)*Q(n1+n3+n6,3)
  - 2.*Q(n2,1)*Q(n4+n5,2)*Q(n1+n3+n6,3)
  + 4.*Q(n2+n4+n5,3)*Q(n1+n3+n6,3)
  + 2.*Q(n1,1)*Q(n4,1)*Q(n5,1)*Q(n2+n3+n6,3)
  - 2.*Q(n1+n4,2)*Q(n5,1)*Q(n2+n3+n6,3)
  - 2.*Q(n4,1)*Q(n1+n5,2)*Q(n2+n3+n6,3)
  - 2.*Q(n1,1)*Q(n4+n5,2)*Q(n2+n3+n6,3)
  + 4.*Q(n1+n4+n5,3)*Q(n2+n3+n6,3)
  - 6.*Q(n4,1)*Q(n5,1)*Q(n1+n2+n3+n6,4)
  + 6.*Q(n4+n5,2)*Q(n1+n2+n3+n6,4)
  - Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n5,1)*Q(n4+n6,2)
  + Q(n1+n2,2)*Q(n3,1)*Q(n5,1)*Q(n4+n6,2)
  + Q(n2,1)*Q(n1+n3,2)*Q(n5,1)*Q(n4+n6,2)
  + Q(n1,1)*Q(n2+n3,2)*Q(n5,1)*Q(n4+n6,2)
  - 2.*Q(n1+n2+n3,3)*Q(n5,1)*Q(n4+n6,2)
  + Q(n2,1)*Q(n3,1)*Q(n1+n5,2)*Q(n4+n6,2)
  - Q(n2+n3,2)*Q(n1+n5,2)*Q(n4+n6,2)
  + Q(n1,1)*Q(n3,1)*Q(n2+n5,2)*Q(n4+n6,2)
  - Q(n1+n3,2)*Q(n2+n5,2)*Q(n4+n6,2)
  - 2.*Q(n3,1)*Q(n1+n2+n5,3)*Q(n4+n6,2)
  + Q(n1,1)*Q(n2,1)*Q(n3+n5,2)*Q(n4+n6,2)
  - Q(n1+n2,2)*Q(n3+n5,2)*Q(n4+n6,2)
  - 2.*Q(n2,1)*Q(n1+n3+n5,3)*Q(n4+n6,2)
  - 2.*Q(n1,1)*Q(n2+n3+n5,3)*Q(n4+n6,2)
  + 6.*Q(n1+n2+n3+n5,4)*Q(n4+n6,2)
  + 2.*Q(n2,1)*Q(n3,1)*Q(n5,1)*Q(n1+n4+n6,3)
  - 2.*Q(n2+n3,2)*Q(n5,1)*Q(n1+n4+n6,3)
  - 2.*Q(n3,1)*Q(n2+n5,2)*Q(n1+n4+n6,3)
  - 2.*Q(n2,1)*Q(n3+n5,2)*Q(n1+n4+n6,3)
  + 4.*Q(n2+n3+n5,3)*Q(n1+n4+n6,3)
  + 2.*Q(n1,1)*Q(n3,1)*Q(n5,1)*Q(n2+n4+n6,3)
  - 2.*Q(n1+n3,2)*Q(n5,1)*Q(n2+n4+n6,3)
  - 2.*Q(n3,1)*Q(n1+n5,2)*Q(n2+n4+n6,3)
  - 2.*Q(n1,1)*Q(n3+n5,2)*Q(n2+n4+n6,3)
  + 4.*Q(n1+n3+n5,3)*Q(n2+n4+n6,3)
  - 6.*Q(n3,1)*Q(n5,1)*Q(n1+n2+n4+n6,4)
  + 6.*Q(n3+n5,2)*Q(n1+n2+n4+n6,4)
  + 2.*Q(n1,1)*Q(n2,1)*Q(n5,1)*Q(n3+n4+n6,3)
  - 2.*Q(n1+n2,2)*Q(n5,1)*Q(n3+n4+n6,3)
  - 2.*Q(n2,1)*Q(n1+n5,2)*Q(n3+n4+n6,3)
  - 2.*Q(n1,1)*Q(n2+n5,2)*Q(n3+n4+n6,3)
  + 4.*Q(n1+n2+n5,3)*Q(n3+n4+n6,3)
  - 6.*Q(n2,1)*Q(n5,1)*Q(n1+n3+n4+n6,4)
  + 6.*Q(n2+n5,2)*Q(n1+n3+n4+n6,4)
  - 6.*Q(n1,1)*Q(n5,1)*Q(n2+n3+n4+n6,4)
  + 6.*Q(n1+n5,2)*Q(n2+n3+n4+n6,4)
  + 24.*Q(n5,1)*Q(n1+n2+n3+n4+n6,5)
  - Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n5+n6,2)
  + Q(n1+n2,2)*Q(n3,1)*Q(n4,1)*Q(n5+n6,2)
  + Q(n2,1)*Q(n1+n3,2)*Q(n4,1)*Q(n5+n6,2)
  + Q(n1,1)*Q(n2+n3,2)*Q(n4,1)*Q(n5+n6,2)
  - 2.*Q(n1+n2+n3,3)*Q(n4,1)*Q(n5+n6,2)
  + Q(n2,1)*Q(n3,1)*Q(n1+n4,2)*Q(n5+n6,2)
  - Q(n2+n3,2)*Q(n1+n4,2)*Q(n5+n6,2)
  + Q(n1,1)*Q(n3,1)*Q(n2+n4,2)*Q(n5+n6,2)
  - Q(n1+n3,2)*Q(n2+n4,2)*Q(n5+n6,2)
  - 2.*Q(n3,1)*Q(n1+n2+n4,3)*Q(n5+n6,2)
  + Q(n1,1)*Q(n2,1)*Q(n3+n4,2)*Q(n5+n6,2)
  - Q(n1+n2,2)*Q(n3+n4,2)*Q(n5+n6,2)
  - 2.*Q(n2,1)*Q(n1+n3+n4,3)*Q(n5+n6,2)
  - 2.*Q(n1,1)*Q(n2+n3+n4,3)*Q(n5+n6,2)
  + 6.*Q(n1+n2+n3+n4,4)*Q(n5+n6,2)
  + 2.*Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n1+n5+n6,3)
  - 2.*Q(n2+n3,2)*Q(n4,1)*Q(n1+n5+n6,3)
  - 2.*Q(n3,1)*Q(n2+n4,2)*Q(n1+n5+n6,3)
  - 2.*Q(n2,1)*Q(n3+n4,2)*Q(n1+n5+n6,3)
  + 4.*Q(n2+n3+n4,3)*Q(n1+n5+n6,3)
  + 2.*Q(n1,1)*Q(n3,1)*Q(n4,1)*Q(n2+n5+n6,3)
  - 2.*Q(n1+n3,2)*Q(n4,1)*Q(n2+n5+n6,3)
  - 2.*Q(n3,1)*Q(n1+n4,2)*Q(n2+n5+n6,3)
  - 2.*Q(n1,1)*Q(n3+n4,2)*Q(n2+n5+n6,3)
  + 4.*Q(n1+n3+n4,3)*Q(n2+n5+n6,3)
  - 6.*Q(n3,1)*Q(n4,1)*Q(n1+n2+n5+n6,4)
  + 6.*Q(n3+n4,2)*Q(n1+n2+n5+n6,4)
  + 2.*Q(n1,1)*Q(n2,1)*Q(n4,1)*Q(n3+n5+n6,3)
  - 2.*Q(n1+n2,2)*Q(n4,1)*Q(n3+n5+n6,3)
  - 2.*Q(n2,1)*Q(n1+n4,2)*Q(n3+n5+n6,3)
  - 2.*Q(n1,1)*Q(n2+n4,2)*Q(n3+n5+n6,3)
  + 4.*Q(n1+n2+n4,3)*Q(n3+n5+n6,3)
  - 6.*Q(n2,1)*Q(n4,1)*Q(n1+n3+n5+n6,4)
  + 6.*Q(n2+n4,2)*Q(n1+n3+n5+n6,4)
  - 6.*Q(n1,1)*Q(n4,1)*Q(n2+n3+n5+n6,4)
  + 6.*Q(n1+n4,2)*Q(n2+n3+n5+n6,4)
  + 24.*Q(n4,1)*Q(n1+n2+n3+n5+n6,5)
  + 2.*Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n4+n5+n6,3)
  - 2.*Q(n1+n2,2)*Q(n3,1)*Q(n4+n5+n6,3)
  - 2.*Q(n2,1)*Q(n1+n3,2)*Q(n4+n5+n6,3)
  - 2.*Q(n1,1)*Q(n2+n3,2)*Q(n4+n5+n6,3)
  + 4.*Q(n1+n2+n3,3)*Q(n4+n5+n6,3)
  - 6.*Q(n2,1)*Q(n3,1)*Q(n1+n4+n5+n6,4)
  + 6.*Q(n2+n3,2)*Q(n1+n4+n5+n6,4)
  - 6.*Q(n1,1)*Q(n3,1)*Q(n2+n4+n5+n6,4)
  + 6.*Q(n1+n3,2)*Q(n2+n4+n5+n6,4)
  + 24.*Q(n3,1)*Q(n1+n2+n4+n5+n6,5)
  - 6.*Q(n1,1)*Q(n2,1)*Q(n3+n4+n5+n6,4)
  + 6.*Q(n1+n2,2)*Q(n3+n4+n5+n6,4)
  + 24.*Q(n2,1)*Q(n1+n3+n4+n5+n6,5)
  + 24.*Q(n1,1)*Q(n2+n3+n4+n5+n6,5)
  - 120.*Q(n1+n2+n3+n4+n5+n6,6);
/* 7-particle correlator */
NQC7(n1,n2,n3,n4,n5,n6,n7):=
  Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n5,1)*Q(n6,1)*Q(n7,1)
  - Q(n1+n2,2)*Q(n3,1)*Q(n4,1)*Q(n5,1)*Q(n6,1)*Q(n7,1)
  - Q(n2,1)*Q(n1+n3,2)*Q(n4,1)*Q(n5,1)*Q(n6,1)*Q(n7,1)
  - Q(n1,1)*Q(n2+n3,2)*Q(n4,1)*Q(n5,1)*Q(n6,1)*Q(n7,1)
  + 2.*Q(n1+n2+n3,3)*Q(n4,1)*Q(n5,1)*Q(n6,1)*Q(n7,1)
  - Q(n2,1)*Q(n3,1)*Q(n1+n4,2)*Q(n5,1)*Q(n6,1)*Q(n7,1)
  + Q(n2+n3,2)*Q(n1+n4,2)*Q(n5,1)*Q(n6,1)*Q(n7,1)
  - Q(n1,1)*Q(n3,1)*Q(n2+n4,2)*Q(n5,1)*Q(n6,1)*Q(n7,1)
  + Q(n1+n3,2)*Q(n2+n4,2)*Q(n5,1)*Q(n6,1)*Q(n7,1)
  + 2.*Q(n3,1)*Q(n1+n2+n4,3)*Q(n5,1)*Q(n6,1)*Q(n7,1)
  - Q(n1,1)*Q(n2,1)*Q(n3+n4,2)*Q(n5,1)*Q(n6,1)*Q(n7,1)
  + Q(n1+n2,2)*Q(n3+n4,2)*Q(n5,1)*Q(n6,1)*Q(n7,1)
  + 2.*Q(n2,1)*Q(n1+n3+n4,3)*Q(n5,1)*Q(n6,1)*Q(n7,1)
  + 2.*Q(n1,1)*Q(n2+n3+n4,3)*Q(n5,1)*Q(n6,1)*Q(n7,1)
  - 6.*Q(n1+n2+n3+n4,4)*Q(n5,1)*Q(n6,1)*Q(n7,1)
  - Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n1+n5,2)*Q(n6,1)*Q(n7,1)
  + Q(n2+n3,2)*Q(n4,1)*Q(n1+n5,2)*Q(n6,1)*Q(n7,1)
  + Q(n3,1)*Q(n2+n4,2)*Q(n1+n5,2)*Q(n6,1)*Q(n7,1)
  + Q(n2,1)*Q(n3+n4,2)*Q(n1+n5,2)*Q(n6,1)*Q(n7,1)
  - 2.*Q(n2+n3+n4,3)*Q(n1+n5,2)*Q(n6,1)*Q(n7,1)
  - Q(n1,1)*Q(n3,1)*Q(n4,1)*Q(n2+n5,2)*Q(n6,1)*Q(n7,1)
  + Q(n1+n3,2)*Q(n4,1)*Q(n2+n5,2)*Q(n6,1)*Q(n7,1)
  + Q(n3,1)*Q(n1+n4,2)*Q(n2+n5,2)*Q(n6,1)*Q(n7,1)
  + Q(n1,1)*Q(n3+n4,2)*Q(n2+n5,2)*Q(n6,1)*Q(n7,1)
  - 2.*Q(n1+n3+n4,3)*Q(n2+n5,2)*Q(n6,1)*Q(n7,1)
  + 2.*Q(n3,1)*Q(n4,1)*Q(n1+n2+n5,3)*Q(n6,1)*Q(n7,1)
  - 2.*Q(n3+n4,2)*Q(n1+n2+n5,3)*Q(n6,1)*Q(n7,1)
  - Q(n1,1)*Q(n2,1)*Q(n4,1)*Q(n3+n5,2)*Q(n6,1)*Q(n7,1)
  + Q(n1+n2,2)*Q(n4,1)*Q(n3+n5,2)*Q(n6,1)*Q(n7,1)
  + Q(n2,1)*Q(n1+n4,2)*Q(n3+n5,2)*Q(n6,1)*Q(n7,1)
  + Q(n1,1)*Q(n2+n4,2)*Q(n3+n5,2)*Q(n6,1)*Q(n7,1)
  - 2.*Q(n1+n2+n4,3)*Q(n3+n5,2)*Q(n6,1)*Q(n7,1)
  + 2.*Q(n2,1)*Q(n4,1)*Q(n1+n3+n5,3)*Q(n6,1)*Q(n7,1)
  - 2.*Q(n2+n4,2)*Q(n1+n3+n5,3)*Q(n6,1)*Q(n7,1)
  + 2.*Q(n1,1)*Q(n4,1)*Q(n2+n3+n5,3)*Q(n6,1)*Q(n7,1)
  - 2.*Q(n1+n4,2)*Q(n2+n3+n5,3)*Q(n6,1)*Q(n7,1)
  - 6.*Q(n4,1)*Q(n1+n2+n3+n5,4)*Q(n6,1)*Q(n7,1)
  - Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n4+n5,2)*Q(n6,1)*Q(n7,1)
  + Q(n1+n2,2)*Q(n3,1)*Q(n4+n5,2)*Q(n6,1)*Q(n7,1)
  + Q(n2,1)*Q(n1+n3,2)*Q(n4+n5,2)*Q(n6,1)*Q(n7,1)
  + Q(n1,1)*Q(n2+n3,2)*Q(n4+n5,2)*Q(n6,1)*Q(n7,1)
  - 2.*Q(n1+n2+n3,3)*Q(n4+n5,2)*Q(n6,1)*Q(n7,1)
  + 2.*Q(n2,1)*Q(n3,1)*Q(n1+n4+n5,3)*Q(n6,1)*Q(n7,1)
  - 2.*Q(n2+n3,2)*Q(n1+n4+n5,3)*Q(n6,1)*Q(n7,1)
  + 2.*Q(n1,1)*Q(n3,1)*Q(n2+n4+n5,3)*Q(n6,1)*Q(n7,1)
  - 2.*Q(n1+n3,2)*Q(n2+n4+n5,3)*Q(n6,1)*Q(n7,1)
  - 6.*Q(n3,1)*Q(n1+n2+n4+n5,4)*Q(n6,1)*Q(n7,1)
  + 2.*Q(n1,1)*Q(n2,1)*Q(n3+n4+n5,3)*Q(n6,1)*Q(n7,1)
  - 2.*Q(n1+n2,2)*Q(n3+n4+n5,3)*Q(n6,1)*Q(n7,1)
  - 6.*Q(n2,1)*Q(n1+n3+n4+n5,4)*Q(n6,1)*Q(n7,1)
  - 6.*Q(n1,1)*Q(n2+n3+n4+n5,4)*Q(n6,1)*Q(n7,1)
  + 24.*Q(n1+n2+n3+n4+n5,5)*Q(n6,1)*Q(n7,1)
  - Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n5,1)*Q(n1+n6,2)*Q(n7,1)
  + Q(n2+n3,2)*Q(n4,1)*Q(n5,1)*Q(n1+n6,2)*Q(n7,1)
  + Q(n3,1)*Q(n2+n4,2)*Q(n5,1)*Q(n1+n6,2)*Q(n7,1)
  + Q(n2,1)*Q(n3+n4,2)*Q(n5,1)*Q(n1+n6,2)*Q(n7,1)
  - 2.*Q(n2+n3+n4,3)*Q(n5,1)*Q(n1+n6,2)*Q(n7,1)
  + Q(n3,1)*Q(n4,1)*Q(n2+n5,2)*Q(n1+n6,2)*Q(n7,1)
  - Q(n3+n4,2)*Q(n2+n5,2)*Q(n1+n6,2)*Q(n7,1)
  + Q(n2,1)*Q(n4,1)*Q(n3+n5,2)*Q(n1+n6,2)*Q(n7,1)
  - Q(n2+n4,2)*Q(n3+n5,2)*Q(n1+n6,2)*Q(n7,1)
  - 2.*Q(n4,1)*Q(n2+n3+n5,3)*Q(n1+n6,2)*Q(n7,1)
  + Q(n2,1)*Q(n3,1)*Q(n4+n5,2)*Q(n1+n6,2)*Q(n7,1)
  - Q(n2+n3,2)*Q(n4+n5,2)*Q(n1+n6,2)*Q(n7,1)
  - 2.*Q(n3,1)*Q(n2+n4+n5,3)*Q(n1+n6,2)*Q(n7,1)
  - 2.*Q(n2,1)*Q(n3+n4+n5,3)*Q(n1+n6,2)*Q(n7,1)
  + 6.*Q(n2+n3+n4+n5,4)*Q(n1+n6,2)*Q(n7,1)
  - Q(n1,1)*Q(n3,1)*Q(n4,1)*Q(n5,1)*Q(n2+n6,2)*Q(n7,1)
  + Q(n1+n3,2)*Q(n4,1)*Q(n5,1)*Q(n2+n6,2)*Q(n7,1)
  + Q(n3,1)*Q(n1+n4,2)*Q(n5,1)*Q(n2+n6,2)*Q(n7,1)
  + Q(n1,1)*Q(n3+n4,2)*Q(n5,1)*Q(n2+n6,2)*Q(n7,1)
  - 2.*Q(n1+n3+n4,3)*Q(n5,1)*Q(n2+n6,2)*Q(n7,1)
  + Q(n3,1)*Q(n4,1)*Q(n1+n5,2)*Q(n2+n6,2)*Q(n7,1)
  - Q(n3+n4,2)*Q(n1+n5,2)*Q(n2+n6,2)*Q(n7,1)
  + Q(n1,1)*Q(n4,1)*Q(n3+n5,2)*Q(n2+n6,2)*Q(n7,1)
  - Q(n1+n4,2)*Q(n3+n5,2)*Q(n2+n6,2)*Q(n7,1)
  - 2.*Q(n4,1)*Q(n1+n3+n5,3)*Q(n2+n6,2)*Q(n7,1)
  + Q(n1,1)*Q(n3,1)*Q(n4+n5,2)*Q(n2+n6,2)*Q(n7,1)
  - Q(n1+n3,2)*Q(n4+n5,2)*Q(n2+n6,2)*Q(n7,1)
  - 2.*Q(n3,1)*Q(n1+n4+n5,3)*Q(n2+n6,2)*Q(n7,1)
  - 2.*Q(n1,1)*Q(n3+n4+n5,3)*Q(n2+n6,2)*Q(n7,1)
  + 6.*Q(n1+n3+n4+n5,4)*Q(n2+n6,2)*Q(n7,1)
  + 2.*Q(n3,1)*Q(n4,1)*Q(n5,1)*Q(n1+n2+n6,3)*Q(n7,1)
  - 2.*Q(n3+n4,2)*Q(n5,1)*Q(n1+n2+n6,3)*Q(n7,1)
  - 2.*Q(n4,1)*Q(n3+n5,2)*Q(n1+n2+n6,3)*Q(n7,1)
  - 2.*Q(n3,1)*Q(n4+n5,2)*Q(n1+n2+n6,3)*Q(n7,1)
  + 4.*Q(n3+n4+n5,3)*Q(n1+n2+n6,3)*Q(n7,1)
  - Q(n1,1)*Q(n2,1)*Q(n4,1)*Q(n5,1)*Q(n3+n6,2)*Q(n7,1)
  + Q(n1+n2,2)*Q(n4,1)*Q(n5,1)*Q(n3+n6,2)*Q(n7,1)
  + Q(n2,1)*Q(n1+n4,2)*Q(n5,1)*Q(n3+n6,2)*Q(n7,1)
  + Q(n1,1)*Q(n2+n4,2)*Q(n5,1)*Q(n3+n6,2)*Q(n7,1)
  - 2.*Q(n1+n2+n4,3)*Q(n5,1)*Q(n3+n6,2)*Q(n7,1)
  + Q(n2,1)*Q(n4,1)*Q(n1+n5,2)*Q(n3+n6,2)*Q(n7,1)
  - Q(n2+n4,2)*Q(n1+n5,2)*Q(n3+n6,2)*Q(n7,1)
  + Q(n1,1)*Q(n4,1)*Q(n2+n5,2)*Q(n3+n6,2)*Q(n7,1)
  - Q(n1+n4,2)*Q(n2+n5,2)*Q(n3+n6,2)*Q(n7,1)
  - 2.*Q(n4,1)*Q(n1+n2+n5,3)*Q(n3+n6,2)*Q(n7,1)
  + Q(n1,1)*Q(n2,1)*Q(n4+n5,2)*Q(n3+n6,2)*Q(n7,1)
  - Q(n1+n2,2)*Q(n4+n5,2)*Q(n3+n6,2)*Q(n7,1)
  - 2.*Q(n2,1)*Q(n1+n4+n5,3)*Q(n3+n6,2)*Q(n7,1)
  - 2.*Q(n1,1)*Q(n2+n4+n5,3)*Q(n3+n6,2)*Q(n7,1)
  + 6.*Q(n1+n2+n4+n5,4)*Q(n3+n6,2)*Q(n7,1)
  + 2.*Q(n2,1)*Q(n4,1)*Q(n5,1)*Q(n1+n3+n6,3)*Q(n7,1)
  - 2.*Q(n2+n4,2)*Q(n5,1)*Q(n1+n3+n6,3)*Q(n7,1)
  - 2.*Q(n4,1)*Q(n2+n5,2)*Q(n1+n3+n6,3)*Q(n7,1)
  - 2.*Q(n2,1)*Q(n4+n5,2)*Q(n1+n3+n6,3)*Q(n7,1)
  + 4.*Q(n2+n4+n5,3)*Q(n1+n3+n6,3)*Q(n7,1)
  + 2.*Q(n1,1)*Q(n4,1)*Q(n5,1)*Q(n2+n3+n6,3)*Q(n7,1)
  - 2.*Q(n1+n4,2)*Q(n5,1)*Q(n2+n3+n6,3)*Q(n7,1)
  - 2.*Q(n4,1)*Q(n1+n5,2)*Q(n2+n3+n6,3)*Q(n7,1)
  - 2.*Q(n1,1)*Q(n4+n5,2)*Q(n2+n3+n6,3)*Q(n7,1)
  + 4.*Q(n1+n4+n5,3)*Q(n2+n3+n6,3)*Q(n7,1)
  - 6.*Q(n4,1)*Q(n5,1)*Q(n1+n2+n3+n6,4)*Q(n7,1)
  + 6.*Q(n4+n5,2)*Q(n1+n2+n3+n6,4)*Q(n7,1)
  - Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n5,1)*Q(n4+n6,2)*Q(n7,1)
  + Q(n1+n2,2)*Q(n3,1)*Q(n5,1)*Q(n4+n6,2)*Q(n7,1)
  + Q(n2,1)*Q(n1+n3,2)*Q(n5,1)*Q(n4+n6,2)*Q(n7,1)
  + Q(n1,1)*Q(n2+n3,2)*Q(n5,1)*Q(n4+n6,2)*Q(n7,1)
  - 2.*Q(n1+n2+n3,3)*Q(n5,1)*Q(n4+n6,2)*Q(n7,1)
  + Q(n2,1)*Q(n3,1)*Q(n1+n5,2)*Q(n4+n6,2)*Q(n7,1)
  - Q(n2+n3,2)*Q(n1+n5,2)*Q(n4+n6,2)*Q(n7,1)
  + Q(n1,1)*Q(n3,1)*Q(n2+n5,2)*Q(n4+n6,2)*Q(n7,1)
  - Q(n1+n3,2)*Q(n2+n5,2)*Q(n4+n6,2)*Q(n7,1)
  - 2.*Q(n3,1)*Q(n1+n2+n5,3)*Q(n4+n6,2)*Q(n7,1)
  + Q(n1,1)*Q(n2,1)*Q(n3+n5,2)*Q(n4+n6,2)*Q(n7,1)
  - Q(n1+n2,2)*Q(n3+n5,2)*Q(n4+n6,2)*Q(n7,1)
  - 2.*Q(n2,1)*Q(n1+n3+n5,3)*Q(n4+n6,2)*Q(n7,1)
  - 2.*Q(n1,1)*Q(n2+n3+n5,3)*Q(n4+n6,2)*Q(n7,1)
  + 6.*Q(n1+n2+n3+n5,4)*Q(n4+n6,2)*Q(n7,1)
  + 2.*Q(n2,1)*Q(n3,1)*Q(n5,1)*Q(n1+n4+n6,3)*Q(n7,1)
  - 2.*Q(n2+n3,2)*Q(n5,1)*Q(n1+n4+n6,3)*Q(n7,1)
  - 2.*Q(n3,1)*Q(n2+n5,2)*Q(n1+n4+n6,3)*Q(n7,1)
  - 2.*Q(n2,1)*Q(n3+n5,2)*Q(n1+n4+n6,3)*Q(n7,1)
  + 4.*Q(n2+n3+n5,3)*Q(n1+n4+n6,3)*Q(n7,1)
  + 2.*Q(n1,1)*Q(n3,1)*Q(n5,1)*Q(n2+n4+n6,3)*Q(n7,1)
  - 2.*Q(n1+n3,2)*Q(n5,1)*Q(n2+n4+n6,3)*Q(n7,1)
  - 2.*Q(n3,1)*Q(n1+n5,2)*Q(n2+n4+n6,3)*Q(n7,1)
  - 2.*Q(n1,1)*Q(n3+n5,2)*Q(n2+n4+n6,3)*Q(n7,1)
  + 4.*Q(n1+n3+n5,3)*Q(n2+n4+n6,3)*Q(n7,1)
  - 6.*Q(n3,1)*Q(n5,1)*Q(n1+n2+n4+n6,4)*Q(n7,1)
  + 6.*Q(n3+n5,2)*Q(n1+n2+n4+n6,4)*Q(n7,1)
  + 2.*Q(n1,1)*Q(n2,1)*Q(n5,1)*Q(n3+n4+n6,3)*Q(n7,1)
  - 2.*Q(n1+n2,2)*Q(n5,1)*Q(n3+n4+n6,3)*Q(n7,1)
  - 2.*Q(n2,1)*Q(n1+n5,2)*Q(n3+n4+n6,3)*Q(n7,1)
  - 2.*Q(n1,1)*Q(n2+n5,2)*Q(n3+n4+n6,3)*Q(n7,1)
  + 4.*Q(n1+n2+n5,3)*Q(n3+n4+n6,3)*Q(n7,1)
  - 6.*Q(n2,1)*Q(n5,1)*Q(n1+n3+n4+n6,4)*Q(n7,1)
  + 6.*Q(n2+n5,2)*Q(n1+n3+n4+n6,4)*Q(n7,1)
  - 6.*Q(n1,1)*Q(n5,1)*Q(n2+n3+n4+n6,4)*Q(n7,1)
  + 6.*Q(n1+n5,2)*Q(n2+n3+n4+n6,4)*Q(n7,1)
  + 24.*Q(n5,1)*Q(n1+n2+n3+n4+n6,5)*Q(n7,1)
  - Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n5+n6,2)*Q(n7,1)
  + Q(n1+n2,2)*Q(n3,1)*Q(n4,1)*Q(n5+n6,2)*Q(n7,1)
  + Q(n2,1)*Q(n1+n3,2)*Q(n4,1)*Q(n5+n6,2)*Q(n7,1)
  + Q(n1,1)*Q(n2+n3,2)*Q(n4,1)*Q(n5+n6,2)*Q(n7,1)
  - 2.*Q(n1+n2+n3,3)*Q(n4,1)*Q(n5+n6,2)*Q(n7,1)
  + Q(n2,1)*Q(n3,1)*Q(n1+n4,2)*Q(n5+n6,2)*Q(n7,1)
  - Q(n2+n3,2)*Q(n1+n4,2)*Q(n5+n6,2)*Q(n7,1)
  + Q(n1,1)*Q(n3,1)*Q(n2+n4,2)*Q(n5+n6,2)*Q(n7,1)
  - Q(n1+n3,2)*Q(n2+n4,2)*Q(n5+n6,2)*Q(n7,1)
  - 2.*Q(n3,1)*Q(n1+n2+n4,3)*Q(n5+n6,2)*Q(n7,1)
  + Q(n1,1)*Q(n2,1)*Q(n3+n4,2)*Q(n5+n6,2)*Q(n7,1)
  - Q(n1+n2,2)*Q(n3+n4,2)*Q(n5+n6,2)*Q(n7,1)
  - 2.*Q(n2,1)*Q(n1+n3+n4,3)*Q(n5+n6,2)*Q(n7,1)
  - 2.*Q(n1,1)*Q(n2+n3+n4,3)*Q(n5+n6,2)*Q(n7,1)
  + 6.*Q(n1+n2+n3+n4,4)*Q(n5+n6,2)*Q(n7,1)
  + 2.*Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n1+n5+n6,3)*Q(n7,1)
  - 2.*Q(n2+n3,2)*Q(n4,1)*Q(n1+n5+n6,3)*Q(n7,1)
  - 2.*Q(n3,1)*Q(n2+n4,2)*Q(n1+n5+n6,3)*Q(n7,1)
  - 2.*Q(n2,1)*Q(n3+n4,2)*Q(n1+n5+n6,3)*Q(n7,1)
  + 4.*Q(n2+n3+n4,3)*Q(n1+n5+n6,3)*Q(n7,1)
  + 2.*Q(n1,1)*Q(n3,1)*Q(n4,1)*Q(n2+n5+n6,3)*Q(n7,1)
  - 2.*Q(n1+n3,2)*Q(n4,1)*Q(n2+n5+n6,3)*Q(n7,1)
  - 2.*Q(n3,1)*Q(n1+n4,2)*Q(n2+n5+n6,3)*Q(n7,1)
  - 2.*Q(n1,1)*Q(n3+n4,2)*Q(n2+n5+n6,3)*Q(n7,1)
  + 4.*Q(n1+n3+n4,3)*Q(n2+n5+n6,3)*Q(n7,1)
  - 6.*Q(n3,1)*Q(n4,1)*Q(n1+n2+n5+n6,4)*Q(n7,1)
  + 6.*Q(n3+n4,2)*Q(n1+n2+n5+n6,4)*Q(n7,1)
  + 2.*Q(n1,1)*Q(n2,1)*Q(n4,1)*Q(n3+n5+n6,3)*Q(n7,1)
  - 2.*Q(n1+n2,2)*Q(n4,1)*Q(n3+n5+n6,3)*Q(n7,1)
  - 2.*Q(n2,1)*Q(n1+n4,2)*Q(n3+n5+n6,3)*Q(n7,1)
  - 2.*Q(n1,1)*Q(n2+n4,2)*Q(n3+n5+n6,3)*Q(n7,1)
  + 4.*Q(n1+n2+n4,3)*Q(n3+n5+n6,3)*Q(n7,1)
  - 6.*Q(n2,1)*Q(n4,1)*Q(n1+n3+n5+n6,4)*Q(n7,1)
  + 6.*Q(n2+n4,2)*Q(n1+n3+n5+n6,4)*Q(n7,1)
  - 6.*Q(n1,1)*Q(n4,1)*Q(n2+n3+n5+n6,4)*Q(n7,1)
  + 6.*Q(n1+n4,2)*Q(n2+n3+n5+n6,4)*Q(n7,1)
  + 24.*Q(n4,1)*Q(n1+n2+n3+n5+n6,5)*Q(n7,1)
  + 2.*Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n4+n5+n6,3)*Q(n7,1)
  - 2.*Q(n1+n2,2)*Q(n3,1)*Q(n4+n5+n6,3)*Q(n7,1)
  - 2.*Q(n2,1)*Q(n1+n3,2)*Q(n4+n5+n6,3)*Q(n7,1)
  - 2.*Q(n1,1)*Q(n2+n3,2)*Q(n4+n5+n6,3)*Q(n7,1)
  + 4.*Q(n1+n2+n3,3)*Q(n4+n5+n6,3)*Q(n7,1)
  - 6.*Q(n2,1)*Q(n3,1)*Q(n1+n4+n5+n6,4)*Q(n7,1)
  + 6.*Q(n2+n3,2)*Q(n1+n4+n5+n6,4)*Q(n7,1)
  - 6.*Q(n1,1)*Q(n3,1)*Q(n2+n4+n5+n6,4)*Q(n7,1)
  + 6.*Q(n1+n3,2)*Q(n2+n4+n5+n6,4)*Q(n7,1)
  + 24.*Q(n3,1)*Q(n1+n2+n4+n5+n6,5)*Q(n7,1)
  - 6.*Q(n1,1)*Q(n2,1)*Q(n3+n4+n5+n6,4)*Q(n7,1)
  + 6.*Q(n1+n2,2)*Q(n3+n4+n5+n6,4)*Q(n7,1)
  + 24.*Q(n2,1)*Q(n1+n3+n4+n5+n6,5)*Q(n7,1)
  + 24.*Q(n1,1)*Q(n2+n3+n4+n5+n6,5)*Q(n7,1)
  - 120.*Q(n1+n2+n3+n4+n5+n6,6)*Q(n7,1)
  - Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n5,1)*Q(n6,1)*Q(n1+n7,2)
  + Q(n2+n3,2)*Q(n4,1)*Q(n5,1)*Q(n6,1)*Q(n1+n7,2)
  + Q(n3,1)*Q(n2+n4,2)*Q(n5,1)*Q(n6,1)*Q(n1+n7,2)
  + Q(n2,1)*Q(n3+n4,2)*Q(n5,1)*Q(n6,1)*Q(n1+n7,2)
  - 2.*Q(n2+n3+n4,3)*Q(n5,1)*Q(n6,1)*Q(n1+n7,2)
  + Q(n3,1)*Q(n4,1)*Q(n2+n5,2)*Q(n6,1)*Q(n1+n7,2)
  - Q(n3+n4,2)*Q(n2+n5,2)*Q(n6,1)*Q(n1+n7,2)
  + Q(n2,1)*Q(n4,1)*Q(n3+n5,2)*Q(n6,1)*Q(n1+n7,2)
  - Q(n2+n4,2)*Q(n3+n5,2)*Q(n6,1)*Q(n1+n7,2)
  - 2.*Q(n4,1)*Q(n2+n3+n5,3)*Q(n6,1)*Q(n1+n7,2)
  + Q(n2,1)*Q(n3,1)*Q(n4+n5,2)*Q(n6,1)*Q(n1+n7,2)
  - Q(n2+n3,2)*Q(n4+n5,2)*Q(n6,1)*Q(n1+n7,2)
  - 2.*Q(n3,1)*Q(n2+n4+n5,3)*Q(n6,1)*Q(n1+n7,2)
  - 2.*Q(n2,1)*Q(n3+n4+n5,3)*Q(n6,1)*Q(n1+n7,2)
  + 6.*Q(n2+n3+n4+n5,4)*Q(n6,1)*Q(n1+n7,2)
  + Q(n3,1)*Q(n4,1)*Q(n5,1)*Q(n2+n6,2)*Q(n1+n7,2)
  - Q(n3+n4,2)*Q(n5,1)*Q(n2+n6,2)*Q(n1+n7,2)
  - Q(n4,1)*Q(n3+n5,2)*Q(n2+n6,2)*Q(n1+n7,2)
  - Q(n3,1)*Q(n4+n5,2)*Q(n2+n6,2)*Q(n1+n7,2)
  + 2.*Q(n3+n4+n5,3)*Q(n2+n6,2)*Q(n1+n7,2)
  + Q(n2,1)*Q(n4,1)*Q(n5,1)*Q(n3+n6,2)*Q(n1+n7,2)
  - Q(n2+n4,2)*Q(n5,1)*Q(n3+n6,2)*Q(n1+n7,2)
  - Q(n4,1)*Q(n2+n5,2)*Q(n3+n6,2)*Q(n1+n7,2)
  - Q(n2,1)*Q(n4+n5,2)*Q(n3+n6,2)*Q(n1+n7,2)
  + 2.*Q(n2+n4+n5,3)*Q(n3+n6,2)*Q(n1+n7,2)
  - 2.*Q(n4,1)*Q(n5,1)*Q(n2+n3+n6,3)*Q(n1+n7,2)
  + 2.*Q(n4+n5,2)*Q(n2+n3+n6,3)*Q(n1+n7,2)
  + Q(n2,1)*Q(n3,1)*Q(n5,1)*Q(n4+n6,2)*Q(n1+n7,2)
  - Q(n2+n3,2)*Q(n5,1)*Q(n4+n6,2)*Q(n1+n7,2)
  - Q(n3,1)*Q(n2+n5,2)*Q(n4+n6,2)*Q(n1+n7,2)
  - Q(n2,1)*Q(n3+n5,2)*Q(n4+n6,2)*Q(n1+n7,2)
  + 2.*Q(n2+n3+n5,3)*Q(n4+n6,2)*Q(n1+n7,2)
  - 2.*Q(n3,1)*Q(n5,1)*Q(n2+n4+n6,3)*Q(n1+n7,2)
  + 2.*Q(n3+n5,2)*Q(n2+n4+n6,3)*Q(n1+n7,2)
  - 2.*Q(n2,1)*Q(n5,1)*Q(n3+n4+n6,3)*Q(n1+n7,2)
  + 2.*Q(n2+n5,2)*Q(n3+n4+n6,3)*Q(n1+n7,2)
  + 6.*Q(n5,1)*Q(n2+n3+n4+n6,4)*Q(n1+n7,2)
  + Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n5+n6,2)*Q(n1+n7,2)
  - Q(n2+n3,2)*Q(n4,1)*Q(n5+n6,2)*Q(n1+n7,2)
  - Q(n3,1)*Q(n2+n4,2)*Q(n5+n6,2)*Q(n1+n7,2)
  - Q(n2,1)*Q(n3+n4,2)*Q(n5+n6,2)*Q(n1+n7,2)
  + 2.*Q(n2+n3+n4,3)*Q(n5+n6,2)*Q(n1+n7,2)
  - 2.*Q(n3,1)*Q(n4,1)*Q(n2+n5+n6,3)*Q(n1+n7,2)
  + 2.*Q(n3+n4,2)*Q(n2+n5+n6,3)*Q(n1+n7,2)
  - 2.*Q(n2,1)*Q(n4,1)*Q(n3+n5+n6,3)*Q(n1+n7,2)
  + 2.*Q(n2+n4,2)*Q(n3+n5+n6,3)*Q(n1+n7,2)
  + 6.*Q(n4,1)*Q(n2+n3+n5+n6,4)*Q(n1+n7,2)
  - 2.*Q(n2,1)*Q(n3,1)*Q(n4+n5+n6,3)*Q(n1+n7,2)
  + 2.*Q(n2+n3,2)*Q(n4+n5+n6,3)*Q(n1+n7,2)
  + 6.*Q(n3,1)*Q(n2+n4+n5+n6,4)*Q(n1+n7,2)
  + 6.*Q(n2,1)*Q(n3+n4+n5+n6,4)*Q(n1+n7,2)
  - 24.*Q(n2+n3+n4+n5+n6,5)*Q(n1+n7,2)
  - Q(n1,1)*Q(n3,1)*Q(n4,1)*Q(n5,1)*Q(n6,1)*Q(n2+n7,2)
  + Q(n1+n3,2)*Q(n4,1)*Q(n5,1)*Q(n6,1)*Q(n2+n7,2)
  + Q(n3,1)*Q(n1+n4,2)*Q(n5,1)*Q(n6,1)*Q(n2+n7,2)
  + Q(n1,1)*Q(n3+n4,2)*Q(n5,1)*Q(n6,1)*Q(n2+n7,2)
  - 2.*Q(n1+n3+n4,3)*Q(n5,1)*Q(n6,1)*Q(n2+n7,2)
  + Q(n3,1)*Q(n4,1)*Q(n1+n5,2)*Q(n6,1)*Q(n2+n7,2)
  - Q(n3+n4,2)*Q(n1+n5,2)*Q(n6,1)*Q(n2+n7,2)
  + Q(n1,1)*Q(n4,1)*Q(n3+n5,2)*Q(n6,1)*Q(n2+n7,2)
  - Q(n1+n4,2)*Q(n3+n5,2)*Q(n6,1)*Q(n2+n7,2)
  - 2.*Q(n4,1)*Q(n1+n3+n5,3)*Q(n6,1)*Q(n2+n7,2)
  + Q(n1,1)*Q(n3,1)*Q(n4+n5,2)*Q(n6,1)*Q(n2+n7,2)
  - Q(n1+n3,2)*Q(n4+n5,2)*Q(n6,1)*Q(n2+n7,2)
  - 2.*Q(n3,1)*Q(n1+n4+n5,3)*Q(n6,1)*Q(n2+n7,2)
  - 2.*Q(n1,1)*Q(n3+n4+n5,3)*Q(n6,1)*Q(n2+n7,2)
  + 6.*Q(n1+n3+n4+n5,4)*Q(n6,1)*Q(n2+n7,2)
  + Q(n3,1)*Q(n4,1)*Q(n5,1)*Q(n1+n6,2)*Q(n2+n7,2)
  - Q(n3+n4,2)*Q(n5,1)*Q(n1+n6,2)*Q(n2+n7,2)
  - Q(n4,1)*Q(n3+n5,2)*Q(n1+n6,2)*Q(n2+n7,2)
  - Q(n3,1)*Q(n4+n5,2)*Q(n1+n6,2)*Q(n2+n7,2)
  + 2.*Q(n3+n4+n5,3)*Q(n1+n6,2)*Q(n2+n7,2)
  + Q(n1,1)*Q(n4,1)*Q(n5,1)*Q(n3+n6,2)*Q(n2+n7,2)
  - Q(n1+n4,2)*Q(n5,1)*Q(n3+n6,2)*Q(n2+n7,2)
  - Q(n4,1)*Q(n1+n5,2)*Q(n3+n6,2)*Q(n2+n7,2)
  - Q(n1,1)*Q(n4+n5,2)*Q(n3+n6,2)*Q(n2+n7,2)
  + 2.*Q(n1+n4+n5,3)*Q(n3+n6,2)*Q(n2+n7,2)
  - 2.*Q(n4,1)*Q(n5,1)*Q(n1+n3+n6,3)*Q(n2+n7,2)
  + 2.*Q(n4+n5,2)*Q(n1+n3+n6,3)*Q(n2+n7,2)
  + Q(n1,1)*Q(n3,1)*Q(n5,1)*Q(n4+n6,2)*Q(n2+n7,2)
  - Q(n1+n3,2)*Q(n5,1)*Q(n4+n6,2)*Q(n2+n7,2)
  - Q(n3,1)*Q(n1+n5,2)*Q(n4+n6,2)*Q(n2+n7,2)
  - Q(n1,1)*Q(n3+n5,2)*Q(n4+n6,2)*Q(n2+n7,2)
  + 2.*Q(n1+n3+n5,3)*Q(n4+n6,2)*Q(n2+n7,2)
  - 2.*Q(n3,1)*Q(n5,1)*Q(n1+n4+n6,3)*Q(n2+n7,2)
  + 2.*Q(n3+n5,2)*Q(n1+n4+n6,3)*Q(n2+n7,2)
  - 2.*Q(n1,1)*Q(n5,1)*Q(n3+n4+n6,3)*Q(n2+n7,2)
  + 2.*Q(n1+n5,2)*Q(n3+n4+n6,3)*Q(n2+n7,2)
  + 6.*Q(n5,1)*Q(n1+n3+n4+n6,4)*Q(n2+n7,2)
  + Q(n1,1)*Q(n3,1)*Q(n4,1)*Q(n5+n6,2)*Q(n2+n7,2)
  - Q(n1+n3,2)*Q(n4,1)*Q(n5+n6,2)*Q(n2+n7,2)
  - Q(n3,1)*Q(n1+n4,2)*Q(n5+n6,2)*Q(n2+n7,2)
  - Q(n1,1)*Q(n3+n4,2)*Q(n5+n6,2)*Q(n2+n7,2)
  + 2.*Q(n1+n3+n4,3)*Q(n5+n6,2)*Q(n2+n7,2)
  - 2.*Q(n3,1)*Q(n4,1)*Q(n1+n5+n6,3)*Q(n2+n7,2)
  + 2.*Q(n3+n4,2)*Q(n1+n5+n6,3)*Q(n2+n7,2)
  - 2.*Q(n1,1)*Q(n4,1)*Q(n3+n5+n6,3)*Q(n2+n7,2)
  + 2.*Q(n1+n4,2)*Q(n3+n5+n6,3)*Q(n2+n7,2)
  + 6.*Q(n4,1)*Q(n1+n3+n5+n6,4)*Q(n2+n7,2)
  - 2.*Q(n1,1)*Q(n3,1)*Q(n4+n5+n6,3)*Q(n2+n7,2)
  + 2.*Q(n1+n3,2)*Q(n4+n5+n6,3)*Q(n2+n7,2)
  + 6.*Q(n3,1)*Q(n1+n4+n5+n6,4)*Q(n2+n7,2)
  + 6.*Q(n1,1)*Q(n3+n4+n5+n6,4)*Q(n2+n7,2)
  - 24.*Q(n1+n3+n4+n5+n6,5)*Q(n2+n7,2)
  + 2.*Q(n3,1)*Q(n4,1)*Q(n5,1)*Q(n6,1)*Q(n1+n2+n7,3)
  - 2.*Q(n3+n4,2)*Q(n5,1)*Q(n6,1)*Q(n1+n2+n7,3)
  - 2.*Q(n4,1)*Q(n3+n5,2)*Q(n6,1)*Q(n1+n2+n7,3)
  - 2.*Q(n3,1)*Q(n4+n5,2)*Q(n6,1)*Q(n1+n2+n7,3)
  + 4.*Q(n3+n4+n5,3)*Q(n6,1)*Q(n1+n2+n7,3)
  - 2.*Q(n4,1)*Q(n5,1)*Q(n3+n6,2)*Q(n1+n2+n7,3)
  + 2.*Q(n4+n5,2)*Q(n3+n6,2)*Q(n1+n2+n7,3)
  - 2.*Q(n3,1)*Q(n5,1)*Q(n4+n6,2)*Q(n1+n2+n7,3)
  + 2.*Q(n3+n5,2)*Q(n4+n6,2)*Q(n1+n2+n7,3)
  + 4.*Q(n5,1)*Q(n3+n4+n6,3)*Q(n1+n2+n7,3)
  - 2.*Q(n3,1)*Q(n4,1)*Q(n5+n6,2)*Q(n1+n2+n7,3)
  + 2.*Q(n3+n4,2)*Q(n5+n6,2)*Q(n1+n2+n7,3)
  + 4.*Q(n4,1)*Q(n3+n5+n6,3)*Q(n1+n2+n7,3)
  + 4.*Q(n3,1)*Q(n4+n5+n6,3)*Q(n1+n2+n7,3)
  - 12.*Q(n3+n4+n5+n6,4)*Q(n1+n2+n7,3)
  - Q(n1,1)*Q(n2,1)*Q(n4,1)*Q(n5,1)*Q(n6,1)*Q(n3+n7,2)
  + Q(n1+n2,2)*Q(n4,1)*Q(n5,1)*Q(n6,1)*Q(n3+n7,2)
  + Q(n2,1)*Q(n1+n4,2)*Q(n5,1)*Q(n6,1)*Q(n3+n7,2)
  + Q(n1,1)*Q(n2+n4,2)*Q(n5,1)*Q(n6,1)*Q(n3+n7,2)
  - 2.*Q(n1+n2+n4,3)*Q(n5,1)*Q(n6,1)*Q(n3+n7,2)
  + Q(n2,1)*Q(n4,1)*Q(n1+n5,2)*Q(n6,1)*Q(n3+n7,2)
  - Q(n2+n4,2)*Q(n1+n5,2)*Q(n6,1)*Q(n3+n7,2)
  + Q(n1,1)*Q(n4,1)*Q(n2+n5,2)*Q(n6,1)*Q(n3+n7,2)
  - Q(n1+n4,2)*Q(n2+n5,2)*Q(n6,1)*Q(n3+n7,2)
  - 2.*Q(n4,1)*Q(n1+n2+n5,3)*Q(n6,1)*Q(n3+n7,2)
  + Q(n1,1)*Q(n2,1)*Q(n4+n5,2)*Q(n6,1)*Q(n3+n7,2)
  - Q(n1+n2,2)*Q(n4+n5,2)*Q(n6,1)*Q(n3+n7,2)
  - 2.*Q(n2,1)*Q(n1+n4+n5,3)*Q(n6,1)*Q(n3+n7,2)
  - 2.*Q(n1,1)*Q(n2+n4+n5,3)*Q(n6,1)*Q(n3+n7,2)
  + 6.*Q(n1+n2+n4+n5,4)*Q(n6,1)*Q(n3+n7,2)
  + Q(n2,1)*Q(n4,1)*Q(n5,1)*Q(n1+n6,2)*Q(n3+n7,2)
  - Q(n2+n4,2)*Q(n5,1)*Q(n1+n6,2)*Q(n3+n7,2)
  - Q(n4,1)*Q(n2+n5,2)*Q(n1+n6,2)*Q(n3+n7,2)
  - Q(n2,1)*Q(n4+n5,2)*Q(n1+n6,2)*Q(n3+n7,2)
  + 2.*Q(n2+n4+n5,3)*Q(n1+n6,2)*Q(n3+n7,2)
  + Q(n1,1)*Q(n4,1)*Q(n5,1)*Q(n2+n6,2)*Q(n3+n7,2)
  - Q(n1+n4,2)*Q(n5,1)*Q(n2+n6,2)*Q(n3+n7,2)
  - Q(n4,1)*Q(n1+n5,2)*Q(n2+n6,2)*Q(n3+n7,2)
  - Q(n1,1)*Q(n4+n5,2)*Q(n2+n6,2)*Q(n3+n7,2)
  + 2.*Q(n1+n4+n5,3)*Q(n2+n6,2)*Q(n3+n7,2)
  - 2.*Q(n4,1)*Q(n5,1)*Q(n1+n2+n6,3)*Q(n3+n7,2)
  + 2.*Q(n4+n5,2)*Q(n1+n2+n6,3)*Q(n3+n7,2)
  + Q(n1,1)*Q(n2,1)*Q(n5,1)*Q(n4+n6,2)*Q(n3+n7,2)
  - Q(n1+n2,2)*Q(n5,1)*Q(n4+n6,2)*Q(n3+n7,2)
  - Q(n2,1)*Q(n1+n5,2)*Q(n4+n6,2)*Q(n3+n7,2)
  - Q(n1,1)*Q(n2+n5,2)*Q(n4+n6,2)*Q(n3+n7,2)
  + 2.*Q(n1+n2+n5,3)*Q(n4+n6,2)*Q(n3+n7,2)
  - 2.*Q(n2,1)*Q(n5,1)*Q(n1+n4+n6,3)*Q(n3+n7,2)
  + 2.*Q(n2+n5,2)*Q(n1+n4+n6,3)*Q(n3+n7,2)
  - 2.*Q(n1,1)*Q(n5,1)*Q(n2+n4+n6,3)*Q(n3+n7,2)
  + 2.*Q(n1+n5,2)*Q(n2+n4+n6,3)*Q(n3+n7,2)
  + 6.*Q(n5,1)*Q(n1+n2+n4+n6,4)*Q(n3+n7,2)
  + Q(n1,1)*Q(n2,1)*Q(n4,1)*Q(n5+n6,2)*Q(n3+n7,2)
  - Q(n1+n2,2)*Q(n4,1)*Q(n5+n6,2)*Q(n3+n7,2)
  - Q(n2,1)*Q(n1+n4,2)*Q(n5+n6,2)*Q(n3+n7,2)
  - Q(n1,1)*Q(n2+n4,2)*Q(n5+n6,2)*Q(n3+n7,2)
  + 2.*Q(n1+n2+n4,3)*Q(n5+n6,2)*Q(n3+n7,2)
  - 2.*Q(n2,1)*Q(n4,1)*Q(n1+n5+n6,3)*Q(n3+n7,2)
  + 2.*Q(n2+n4,2)*Q(n1+n5+n6,3)*Q(n3+n7,2)
  - 2.*Q(n1,1)*Q(n4,1)*Q(n2+n5+n6,3)*Q(n3+n7,2)
  + 2.*Q(n1+n4,2)*Q(n2+n5+n6,3)*Q(n3+n7,2)
  + 6.*Q(n4,1)*Q(n1+n2+n5+n6,4)*Q(n3+n7,2)
  - 2.*Q(n1,1)*Q(n2,1)*Q(n4+n5+n6,3)*Q(n3+n7,2)
  + 2.*Q(n1+n2,2)*Q(n4+n5+n6,3)*Q(n3+n7,2)
  + 6.*Q(n2,1)*Q(n1+n4+n5+n6,4)*Q(n3+n7,2)
  + 6.*Q(n1,1)*Q(n2+n4+n5+n6,4)*Q(n3+n7,2)
  - 24.*Q(n1+n2+n4+n5+n6,5)*Q(n3+n7,2)
  + 2.*Q(n2,1)*Q(n4,1)*Q(n5,1)*Q(n6,1)*Q(n1+n3+n7,3)
  - 2.*Q(n2+n4,2)*Q(n5,1)*Q(n6,1)*Q(n1+n3+n7,3)
  - 2.*Q(n4,1)*Q(n2+n5,2)*Q(n6,1)*Q(n1+n3+n7,3)
  - 2.*Q(n2,1)*Q(n4+n5,2)*Q(n6,1)*Q(n1+n3+n7,3)
  + 4.*Q(n2+n4+n5,3)*Q(n6,1)*Q(n1+n3+n7,3)
  - 2.*Q(n4,1)*Q(n5,1)*Q(n2+n6,2)*Q(n1+n3+n7,3)
  + 2.*Q(n4+n5,2)*Q(n2+n6,2)*Q(n1+n3+n7,3)
  - 2.*Q(n2,1)*Q(n5,1)*Q(n4+n6,2)*Q(n1+n3+n7,3)
  + 2.*Q(n2+n5,2)*Q(n4+n6,2)*Q(n1+n3+n7,3)
  + 4.*Q(n5,1)*Q(n2+n4+n6,3)*Q(n1+n3+n7,3)
  - 2.*Q(n2,1)*Q(n4,1)*Q(n5+n6,2)*Q(n1+n3+n7,3)
  + 2.*Q(n2+n4,2)*Q(n5+n6,2)*Q(n1+n3+n7,3)
  + 4.*Q(n4,1)*Q(n2+n5+n6,3)*Q(n1+n3+n7,3)
  + 4.*Q(n2,1)*Q(n4+n5+n6,3)*Q(n1+n3+n7,3)
  - 12.*Q(n2+n4+n5+n6,4)*Q(n1+n3+n7,3)
  + 2.*Q(n1,1)*Q(n4,1)*Q(n5,1)*Q(n6,1)*Q(n2+n3+n7,3)
  - 2.*Q(n1+n4,2)*Q(n5,1)*Q(n6,1)*Q(n2+n3+n7,3)
  - 2.*Q(n4,1)*Q(n1+n5,2)*Q(n6,1)*Q(n2+n3+n7,3)
  - 2.*Q(n1,1)*Q(n4+n5,2)*Q(n6,1)*Q(n2+n3+n7,3)
  + 4.*Q(n1+n4+n5,3)*Q(n6,1)*Q(n2+n3+n7,3)
  - 2.*Q(n4,1)*Q(n5,1)*Q(n1+n6,2)*Q(n2+n3+n7,3)
  + 2.*Q(n4+n5,2)*Q(n1+n6,2)*Q(n2+n3+n7,3)
  - 2.*Q(n1,1)*Q(n5,1)*Q(n4+n6,2)*Q(n2+n3+n7,3)
  + 2.*Q(n1+n5,2)*Q(n4+n6,2)*Q(n2+n3+n7,3)
  + 4.*Q(n5,1)*Q(n1+n4+n6,3)*Q(n2+n3+n7,3)
  - 2.*Q(n1,1)*Q(n4,1)*Q(n5+n6,2)*Q(n2+n3+n7,3)
  + 2.*Q(n1+n4,2)*Q(n5+n6,2)*Q(n2+n3+n7,3)
  + 4.*Q(n4,1)*Q(n1+n5+n6,3)*Q(n2+n3+n7,3)
  + 4.*Q(n1,1)*Q(n4+n5+n6,3)*Q(n2+n3+n7,3)
  - 12.*Q(n1+n4+n5+n6,4)*Q(n2+n3+n7,3)
  - 6.*Q(n4,1)*Q(n5,1)*Q(n6,1)*Q(n1+n2+n3+n7,4)
  + 6.*Q(n4+n5,2)*Q(n6,1)*Q(n1+n2+n3+n7,4)
  + 6.*Q(n5,1)*Q(n4+n6,2)*Q(n1+n2+n3+n7,4)
  + 6.*Q(n4,1)*Q(n5+n6,2)*Q(n1+n2+n3+n7,4)
  - 12.*Q(n4+n5+n6,3)*Q(n1+n2+n3+n7,4)
  - Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n5,1)*Q(n6,1)*Q(n4+n7,2)
  + Q(n1+n2,2)*Q(n3,1)*Q(n5,1)*Q(n6,1)*Q(n4+n7,2)
  + Q(n2,1)*Q(n1+n3,2)*Q(n5,1)*Q(n6,1)*Q(n4+n7,2)
  + Q(n1,1)*Q(n2+n3,2)*Q(n5,1)*Q(n6,1)*Q(n4+n7,2)
  - 2.*Q(n1+n2+n3,3)*Q(n5,1)*Q(n6,1)*Q(n4+n7,2)
  + Q(n2,1)*Q(n3,1)*Q(n1+n5,2)*Q(n6,1)*Q(n4+n7,2)
  - Q(n2+n3,2)*Q(n1+n5,2)*Q(n6,1)*Q(n4+n7,2)
  + Q(n1,1)*Q(n3,1)*Q(n2+n5,2)*Q(n6,1)*Q(n4+n7,2)
  - Q(n1+n3,2)*Q(n2+n5,2)*Q(n6,1)*Q(n4+n7,2)
  - 2.*Q(n3,1)*Q(n1+n2+n5,3)*Q(n6,1)*Q(n4+n7,2)
  + Q(n1,1)*Q(n2,1)*Q(n3+n5,2)*Q(n6,1)*Q(n4+n7,2)
  - Q(n1+n2,2)*Q(n3+n5,2)*Q(n6,1)*Q(n4+n7,2)
  - 2.*Q(n2,1)*Q(n1+n3+n5,3)*Q(n6,1)*Q(n4+n7,2)
  - 2.*Q(n1,1)*Q(n2+n3+n5,3)*Q(n6,1)*Q(n4+n7,2)
  + 6.*Q(n1+n2+n3+n5,4)*Q(n6,1)*Q(n4+n7,2)
  + Q(n2,1)*Q(n3,1)*Q(n5,1)*Q(n1+n6,2)*Q(n4+n7,2)
  - Q(n2+n3,2)*Q(n5,1)*Q(n1+n6,2)*Q(n4+n7,2)
  - Q(n3,1)*Q(n2+n5,2)*Q(n1+n6,2)*Q(n4+n7,2)
  - Q(n2,1)*Q(n3+n5,2)*Q(n1+n6,2)*Q(n4+n7,2)
  + 2.*Q(n2+n3+n5,3)*Q(n1+n6,2)*Q(n4+n7,2)
  + Q(n1,1)*Q(n3,1)*Q(n5,1)*Q(n2+n6,2)*Q(n4+n7,2)
  - Q(n1+n3,2)*Q(n5,1)*Q(n2+n6,2)*Q(n4+n7,2)
  - Q(n3,1)*Q(n1+n5,2)*Q(n2+n6,2)*Q(n4+n7,2)
  - Q(n1,1)*Q(n3+n5,2)*Q(n2+n6,2)*Q(n4+n7,2)
  + 2.*Q(n1+n3+n5,3)*Q(n2+n6,2)*Q(n4+n7,2)
  - 2.*Q(n3,1)*Q(n5,1)*Q(n1+n2+n6,3)*Q(n4+n7,2)
  + 2.*Q(n3+n5,2)*Q(n1+n2+n6,3)*Q(n4+n7,2)
  + Q(n1,1)*Q(n2,1)*Q(n5,1)*Q(n3+n6,2)*Q(n4+n7,2)
  - Q(n1+n2,2)*Q(n5,1)*Q(n3+n6,2)*Q(n4+n7,2)
  - Q(n2,1)*Q(n1+n5,2)*Q(n3+n6,2)*Q(n4+n7,2)
  - Q(n1,1)*Q(n2+n5,2)*Q(n3+n6,2)*Q(n4+n7,2)
  + 2.*Q(n1+n2+n5,3)*Q(n3+n6,2)*Q(n4+n7,2)
  - 2.*Q(n2,1)*Q(n5,1)*Q(n1+n3+n6,3)*Q(n4+n7,2)
  + 2.*Q(n2+n5,2)*Q(n1+n3+n6,3)*Q(n4+n7,2)
  - 2.*Q(n1,1)*Q(n5,1)*Q(n2+n3+n6,3)*Q(n4+n7,2)
  + 2.*Q(n1+n5,2)*Q(n2+n3+n6,3)*Q(n4+n7,2)
  + 6.*Q(n5,1)*Q(n1+n2+n3+n6,4)*Q(n4+n7,2)
  + Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n5+n6,2)*Q(n4+n7,2)
  - Q(n1+n2,2)*Q(n3,1)*Q(n5+n6,2)*Q(n4+n7,2)
  - Q(n2,1)*Q(n1+n3,2)*Q(n5+n6,2)*Q(n4+n7,2)
  - Q(n1,1)*Q(n2+n3,2)*Q(n5+n6,2)*Q(n4+n7,2)
  + 2.*Q(n1+n2+n3,3)*Q(n5+n6,2)*Q(n4+n7,2)
  - 2.*Q(n2,1)*Q(n3,1)*Q(n1+n5+n6,3)*Q(n4+n7,2)
  + 2.*Q(n2+n3,2)*Q(n1+n5+n6,3)*Q(n4+n7,2)
  - 2.*Q(n1,1)*Q(n3,1)*Q(n2+n5+n6,3)*Q(n4+n7,2)
  + 2.*Q(n1+n3,2)*Q(n2+n5+n6,3)*Q(n4+n7,2)
  + 6.*Q(n3,1)*Q(n1+n2+n5+n6,4)*Q(n4+n7,2)
  - 2.*Q(n1,1)*Q(n2,1)*Q(n3+n5+n6,3)*Q(n4+n7,2)
  + 2.*Q(n1+n2,2)*Q(n3+n5+n6,3)*Q(n4+n7,2)
  + 6.*Q(n2,1)*Q(n1+n3+n5+n6,4)*Q(n4+n7,2)
  + 6.*Q(n1,1)*Q(n2+n3+n5+n6,4)*Q(n4+n7,2)
  - 24.*Q(n1+n2+n3+n5+n6,5)*Q(n4+n7,2)
  + 2.*Q(n2,1)*Q(n3,1)*Q(n5,1)*Q(n6,1)*Q(n1+n4+n7,3)
  - 2.*Q(n2+n3,2)*Q(n5,1)*Q(n6,1)*Q(n1+n4+n7,3)
  - 2.*Q(n3,1)*Q(n2+n5,2)*Q(n6,1)*Q(n1+n4+n7,3)
  - 2.*Q(n2,1)*Q(n3+n5,2)*Q(n6,1)*Q(n1+n4+n7,3)
  + 4.*Q(n2+n3+n5,3)*Q(n6,1)*Q(n1+n4+n7,3)
  - 2.*Q(n3,1)*Q(n5,1)*Q(n2+n6,2)*Q(n1+n4+n7,3)
  + 2.*Q(n3+n5,2)*Q(n2+n6,2)*Q(n1+n4+n7,3)
  - 2.*Q(n2,1)*Q(n5,1)*Q(n3+n6,2)*Q(n1+n4+n7,3)
  + 2.*Q(n2+n5,2)*Q(n3+n6,2)*Q(n1+n4+n7,3)
  + 4.*Q(n5,1)*Q(n2+n3+n6,3)*Q(n1+n4+n7,3)
  - 2.*Q(n2,1)*Q(n3,1)*Q(n5+n6,2)*Q(n1+n4+n7,3)
  + 2.*Q(n2+n3,2)*Q(n5+n6,2)*Q(n1+n4+n7,3)
  + 4.*Q(n3,1)*Q(n2+n5+n6,3)*Q(n1+n4+n7,3)
  + 4.*Q(n2,1)*Q(n3+n5+n6,3)*Q(n1+n4+n7,3)
  - 12.*Q(n2+n3+n5+n6,4)*Q(n1+n4+n7,3)
  + 2.*Q(n1,1)*Q(n3,1)*Q(n5,1)*Q(n6,1)*Q(n2+n4+n7,3)
  - 2.*Q(n1+n3,2)*Q(n5,1)*Q(n6,1)*Q(n2+n4+n7,3)
  - 2.*Q(n3,1)*Q(n1+n5,2)*Q(n6,1)*Q(n2+n4+n7,3)
  - 2.*Q(n1,1)*Q(n3+n5,2)*Q(n6,1)*Q(n2+n4+n7,3)
  + 4.*Q(n1+n3+n5,3)*Q(n6,1)*Q(n2+n4+n7,3)
  - 2.*Q(n3,1)*Q(n5,1)*Q(n1+n6,2)*Q(n2+n4+n7,3)
  + 2.*Q(n3+n5,2)*Q(n1+n6,2)*Q(n2+n4+n7,3)
  - 2.*Q(n1,1)*Q(n5,1)*Q(n3+n6,2)*Q(n2+n4+n7,3)
  + 2.*Q(n1+n5,2)*Q(n3+n6,2)*Q(n2+n4+n7,3)
  + 4.*Q(n5,1)*Q(n1+n3+n6,3)*Q(n2+n4+n7,3)
  - 2.*Q(n1,1)*Q(n3,1)*Q(n5+n6,2)*Q(n2+n4+n7,3)
  + 2.*Q(n1+n3,2)*Q(n5+n6,2)*Q(n2+n4+n7,3)
  + 4.*Q(n3,1)*Q(n1+n5+n6,3)*Q(n2+n4+n7,3)
  + 4.*Q(n1,1)*Q(n3+n5+n6,3)*Q(n2+n4+n7,3)
  - 12.*Q(n1+n3+n5+n6,4)*Q(n2+n4+n7,3)
  - 6.*Q(n3,1)*Q(n5,1)*Q(n6,1)*Q(n1+n2+n4+n7,4)
  + 6.*Q(n3+n5,2)*Q(n6,1)*Q(n1+n2+n4+n7,4)
  + 6.*Q(n5,1)*Q(n3+n6,2)*Q(n1+n2+n4+n7,4)
  + 6.*Q(n3,1)*Q(n5+n6,2)*Q(n1+n2+n4+n7,4)
  - 12.*Q(n3+n5+n6,3)*Q(n1+n2+n4+n7,4)
  + 2.*Q(n1,1)*Q(n2,1)*Q(n5,1)*Q(n6,1)*Q(n3+n4+n7,3)
  - 2.*Q(n1+n2,2)*Q(n5,1)*Q(n6,1)*Q(n3+n4+n7,3)
  - 2.*Q(n2,1)*Q(n1+n5,2)*Q(n6,1)*Q(n3+n4+n7,3)
  - 2.*Q(n1,1)*Q(n2+n5,2)*Q(n6,1)*Q(n3+n4+n7,3)
  + 4.*Q(n1+n2+n5,3)*Q(n6,1)*Q(n3+n4+n7,3)
  - 2.*Q(n2,1)*Q(n5,1)*Q(n1+n6,2)*Q(n3+n4+n7,3)
  + 2.*Q(n2+n5,2)*Q(n1+n6,2)*Q(n3+n4+n7,3)
  - 2.*Q(n1,1)*Q(n5,1)*Q(n2+n6,2)*Q(n3+n4+n7,3)
  + 2.*Q(n1+n5,2)*Q(n2+n6,2)*Q(n3+n4+n7,3)
  + 4.*Q(n5,1)*Q(n1+n2+n6,3)*Q(n3+n4+n7,3)
  - 2.*Q(n1,1)*Q(n2,1)*Q(n5+n6,2)*Q(n3+n4+n7,3)
  + 2.*Q(n1+n2,2)*Q(n5+n6,2)*Q(n3+n4+n7,3)
  + 4.*Q(n2,1)*Q(n1+n5+n6,3)*Q(n3+n4+n7,3)
  + 4.*Q(n1,1)*Q(n2+n5+n6,3)*Q(n3+n4+n7,3)
  - 12.*Q(n1+n2+n5+n6,4)*Q(n3+n4+n7,3)
  - 6.*Q(n2,1)*Q(n5,1)*Q(n6,1)*Q(n1+n3+n4+n7,4)
  + 6.*Q(n2+n5,2)*Q(n6,1)*Q(n1+n3+n4+n7,4)
  + 6.*Q(n5,1)*Q(n2+n6,2)*Q(n1+n3+n4+n7,4)
  + 6.*Q(n2,1)*Q(n5+n6,2)*Q(n1+n3+n4+n7,4)
  - 12.*Q(n2+n5+n6,3)*Q(n1+n3+n4+n7,4)
  - 6.*Q(n1,1)*Q(n5,1)*Q(n6,1)*Q(n2+n3+n4+n7,4)
  + 6.*Q(n1+n5,2)*Q(n6,1)*Q(n2+n3+n4+n7,4)
  + 6.*Q(n5,1)*Q(n1+n6,2)*Q(n2+n3+n4+n7,4)
  + 6.*Q(n1,1)*Q(n5+n6,2)*Q(n2+n3+n4+n7,4)
  - 12.*Q(n1+n5+n6,3)*Q(n2+n3+n4+n7,4)
  + 24.*Q(n5,1)*Q(n6,1)*Q(n1+n2+n3+n4+n7,5)
  - 24.*Q(n5+n6,2)*Q(n1+n2+n3+n4+n7,5)
  - Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n6,1)*Q(n5+n7,2)
  + Q(n1+n2,2)*Q(n3,1)*Q(n4,1)*Q(n6,1)*Q(n5+n7,2)
  + Q(n2,1)*Q(n1+n3,2)*Q(n4,1)*Q(n6,1)*Q(n5+n7,2)
  + Q(n1,1)*Q(n2+n3,2)*Q(n4,1)*Q(n6,1)*Q(n5+n7,2)
  - 2.*Q(n1+n2+n3,3)*Q(n4,1)*Q(n6,1)*Q(n5+n7,2)
  + Q(n2,1)*Q(n3,1)*Q(n1+n4,2)*Q(n6,1)*Q(n5+n7,2)
  - Q(n2+n3,2)*Q(n1+n4,2)*Q(n6,1)*Q(n5+n7,2)
  + Q(n1,1)*Q(n3,1)*Q(n2+n4,2)*Q(n6,1)*Q(n5+n7,2)
  - Q(n1+n3,2)*Q(n2+n4,2)*Q(n6,1)*Q(n5+n7,2)
  - 2.*Q(n3,1)*Q(n1+n2+n4,3)*Q(n6,1)*Q(n5+n7,2)
  + Q(n1,1)*Q(n2,1)*Q(n3+n4,2)*Q(n6,1)*Q(n5+n7,2)
  - Q(n1+n2,2)*Q(n3+n4,2)*Q(n6,1)*Q(n5+n7,2)
  - 2.*Q(n2,1)*Q(n1+n3+n4,3)*Q(n6,1)*Q(n5+n7,2)
  - 2.*Q(n1,1)*Q(n2+n3+n4,3)*Q(n6,1)*Q(n5+n7,2)
  + 6.*Q(n1+n2+n3+n4,4)*Q(n6,1)*Q(n5+n7,2)
  + Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n1+n6,2)*Q(n5+n7,2)
  - Q(n2+n3,2)*Q(n4,1)*Q(n1+n6,2)*Q(n5+n7,2)
  - Q(n3,1)*Q(n2+n4,2)*Q(n1+n6,2)*Q(n5+n7,2)
  - Q(n2,1)*Q(n3+n4,2)*Q(n1+n6,2)*Q(n5+n7,2)
  + 2.*Q(n2+n3+n4,3)*Q(n1+n6,2)*Q(n5+n7,2)
  + Q(n1,1)*Q(n3,1)*Q(n4,1)*Q(n2+n6,2)*Q(n5+n7,2)
  - Q(n1+n3,2)*Q(n4,1)*Q(n2+n6,2)*Q(n5+n7,2)
  - Q(n3,1)*Q(n1+n4,2)*Q(n2+n6,2)*Q(n5+n7,2)
  - Q(n1,1)*Q(n3+n4,2)*Q(n2+n6,2)*Q(n5+n7,2)
  + 2.*Q(n1+n3+n4,3)*Q(n2+n6,2)*Q(n5+n7,2)
  - 2.*Q(n3,1)*Q(n4,1)*Q(n1+n2+n6,3)*Q(n5+n7,2)
  + 2.*Q(n3+n4,2)*Q(n1+n2+n6,3)*Q(n5+n7,2)
  + Q(n1,1)*Q(n2,1)*Q(n4,1)*Q(n3+n6,2)*Q(n5+n7,2)
  - Q(n1+n2,2)*Q(n4,1)*Q(n3+n6,2)*Q(n5+n7,2)
  - Q(n2,1)*Q(n1+n4,2)*Q(n3+n6,2)*Q(n5+n7,2)
  - Q(n1,1)*Q(n2+n4,2)*Q(n3+n6,2)*Q(n5+n7,2)
  + 2.*Q(n1+n2+n4,3)*Q(n3+n6,2)*Q(n5+n7,2)
  - 2.*Q(n2,1)*Q(n4,1)*Q(n1+n3+n6,3)*Q(n5+n7,2)
  + 2.*Q(n2+n4,2)*Q(n1+n3+n6,3)*Q(n5+n7,2)
  - 2.*Q(n1,1)*Q(n4,1)*Q(n2+n3+n6,3)*Q(n5+n7,2)
  + 2.*Q(n1+n4,2)*Q(n2+n3+n6,3)*Q(n5+n7,2)
  + 6.*Q(n4,1)*Q(n1+n2+n3+n6,4)*Q(n5+n7,2)
  + Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n4+n6,2)*Q(n5+n7,2)
  - Q(n1+n2,2)*Q(n3,1)*Q(n4+n6,2)*Q(n5+n7,2)
  - Q(n2,1)*Q(n1+n3,2)*Q(n4+n6,2)*Q(n5+n7,2)
  - Q(n1,1)*Q(n2+n3,2)*Q(n4+n6,2)*Q(n5+n7,2)
  + 2.*Q(n1+n2+n3,3)*Q(n4+n6,2)*Q(n5+n7,2)
  - 2.*Q(n2,1)*Q(n3,1)*Q(n1+n4+n6,3)*Q(n5+n7,2)
  + 2.*Q(n2+n3,2)*Q(n1+n4+n6,3)*Q(n5+n7,2)
  - 2.*Q(n1,1)*Q(n3,1)*Q(n2+n4+n6,3)*Q(n5+n7,2)
  + 2.*Q(n1+n3,2)*Q(n2+n4+n6,3)*Q(n5+n7,2)
  + 6.*Q(n3,1)*Q(n1+n2+n4+n6,4)*Q(n5+n7,2)
  - 2.*Q(n1,1)*Q(n2,1)*Q(n3+n4+n6,3)*Q(n5+n7,2)
  + 2.*Q(n1+n2,2)*Q(n3+n4+n6,3)*Q(n5+n7,2)
  + 6.*Q(n2,1)*Q(n1+n3+n4+n6,4)*Q(n5+n7,2)
  + 6.*Q(n1,1)*Q(n2+n3+n4+n6,4)*Q(n5+n7,2)
  - 24.*Q(n1+n2+n3+n4+n6,5)*Q(n5+n7,2)
  + 2.*Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n6,1)*Q(n1+n5+n7,3)
  - 2.*Q(n2+n3,2)*Q(n4,1)*Q(n6,1)*Q(n1+n5+n7,3)
  - 2.*Q(n3,1)*Q(n2+n4,2)*Q(n6,1)*Q(n1+n5+n7,3)
  - 2.*Q(n2,1)*Q(n3+n4,2)*Q(n6,1)*Q(n1+n5+n7,3)
  + 4.*Q(n2+n3+n4,3)*Q(n6,1)*Q(n1+n5+n7,3)
  - 2.*Q(n3,1)*Q(n4,1)*Q(n2+n6,2)*Q(n1+n5+n7,3)
  + 2.*Q(n3+n4,2)*Q(n2+n6,2)*Q(n1+n5+n7,3)
  - 2.*Q(n2,1)*Q(n4,1)*Q(n3+n6,2)*Q(n1+n5+n7,3)
  + 2.*Q(n2+n4,2)*Q(n3+n6,2)*Q(n1+n5+n7,3)
  + 4.*Q(n4,1)*Q(n2+n3+n6,3)*Q(n1+n5+n7,3)
  - 2.*Q(n2,1)*Q(n3,1)*Q(n4+n6,2)*Q(n1+n5+n7,3)
  + 2.*Q(n2+n3,2)*Q(n4+n6,2)*Q(n1+n5+n7,3)
  + 4.*Q(n3,1)*Q(n2+n4+n6,3)*Q(n1+n5+n7,3)
  + 4.*Q(n2,1)*Q(n3+n4+n6,3)*Q(n1+n5+n7,3)
  - 12.*Q(n2+n3+n4+n6,4)*Q(n1+n5+n7,3)
  + 2.*Q(n1,1)*Q(n3,1)*Q(n4,1)*Q(n6,1)*Q(n2+n5+n7,3)
  - 2.*Q(n1+n3,2)*Q(n4,1)*Q(n6,1)*Q(n2+n5+n7,3)
  - 2.*Q(n3,1)*Q(n1+n4,2)*Q(n6,1)*Q(n2+n5+n7,3)
  - 2.*Q(n1,1)*Q(n3+n4,2)*Q(n6,1)*Q(n2+n5+n7,3)
  + 4.*Q(n1+n3+n4,3)*Q(n6,1)*Q(n2+n5+n7,3)
  - 2.*Q(n3,1)*Q(n4,1)*Q(n1+n6,2)*Q(n2+n5+n7,3)
  + 2.*Q(n3+n4,2)*Q(n1+n6,2)*Q(n2+n5+n7,3)
  - 2.*Q(n1,1)*Q(n4,1)*Q(n3+n6,2)*Q(n2+n5+n7,3)
  + 2.*Q(n1+n4,2)*Q(n3+n6,2)*Q(n2+n5+n7,3)
  + 4.*Q(n4,1)*Q(n1+n3+n6,3)*Q(n2+n5+n7,3)
  - 2.*Q(n1,1)*Q(n3,1)*Q(n4+n6,2)*Q(n2+n5+n7,3)
  + 2.*Q(n1+n3,2)*Q(n4+n6,2)*Q(n2+n5+n7,3)
  + 4.*Q(n3,1)*Q(n1+n4+n6,3)*Q(n2+n5+n7,3)
  + 4.*Q(n1,1)*Q(n3+n4+n6,3)*Q(n2+n5+n7,3)
  - 12.*Q(n1+n3+n4+n6,4)*Q(n2+n5+n7,3)
  - 6.*Q(n3,1)*Q(n4,1)*Q(n6,1)*Q(n1+n2+n5+n7,4)
  + 6.*Q(n3+n4,2)*Q(n6,1)*Q(n1+n2+n5+n7,4)
  + 6.*Q(n4,1)*Q(n3+n6,2)*Q(n1+n2+n5+n7,4)
  + 6.*Q(n3,1)*Q(n4+n6,2)*Q(n1+n2+n5+n7,4)
  - 12.*Q(n3+n4+n6,3)*Q(n1+n2+n5+n7,4)
  + 2.*Q(n1,1)*Q(n2,1)*Q(n4,1)*Q(n6,1)*Q(n3+n5+n7,3)
  - 2.*Q(n1+n2,2)*Q(n4,1)*Q(n6,1)*Q(n3+n5+n7,3)
  - 2.*Q(n2,1)*Q(n1+n4,2)*Q(n6,1)*Q(n3+n5+n7,3)
  - 2.*Q(n1,1)*Q(n2+n4,2)*Q(n6,1)*Q(n3+n5+n7,3)
  + 4.*Q(n1+n2+n4,3)*Q(n6,1)*Q(n3+n5+n7,3)
  - 2.*Q(n2,1)*Q(n4,1)*Q(n1+n6,2)*Q(n3+n5+n7,3)
  + 2.*Q(n2+n4,2)*Q(n1+n6,2)*Q(n3+n5+n7,3)
  - 2.*Q(n1,1)*Q(n4,1)*Q(n2+n6,2)*Q(n3+n5+n7,3)
  + 2.*Q(n1+n4,2)*Q(n2+n6,2)*Q(n3+n5+n7,3)
  + 4.*Q(n4,1)*Q(n1+n2+n6,3)*Q(n3+n5+n7,3)
  - 2.*Q(n1,1)*Q(n2,1)*Q(n4+n6,2)*Q(n3+n5+n7,3)
  + 2.*Q(n1+n2,2)*Q(n4+n6,2)*Q(n3+n5+n7,3)
  + 4.*Q(n2,1)*Q(n1+n4+n6,3)*Q(n3+n5+n7,3)
  + 4.*Q(n1,1)*Q(n2+n4+n6,3)*Q(n3+n5+n7,3)
  - 12.*Q(n1+n2+n4+n6,4)*Q(n3+n5+n7,3)
  - 6.*Q(n2,1)*Q(n4,1)*Q(n6,1)*Q(n1+n3+n5+n7,4)
  + 6.*Q(n2+n4,2)*Q(n6,1)*Q(n1+n3+n5+n7,4)
  + 6.*Q(n4,1)*Q(n2+n6,2)*Q(n1+n3+n5+n7,4)
  + 6.*Q(n2,1)*Q(n4+n6,2)*Q(n1+n3+n5+n7,4)
  - 12.*Q(n2+n4+n6,3)*Q(n1+n3+n5+n7,4)
  - 6.*Q(n1,1)*Q(n4,1)*Q(n6,1)*Q(n2+n3+n5+n7,4)
  + 6.*Q(n1+n4,2)*Q(n6,1)*Q(n2+n3+n5+n7,4)
  + 6.*Q(n4,1)*Q(n1+n6,2)*Q(n2+n3+n5+n7,4)
  + 6.*Q(n1,1)*Q(n4+n6,2)*Q(n2+n3+n5+n7,4)
  - 12.*Q(n1+n4+n6,3)*Q(n2+n3+n5+n7,4)
  + 24.*Q(n4,1)*Q(n6,1)*Q(n1+n2+n3+n5+n7,5)
  - 24.*Q(n4+n6,2)*Q(n1+n2+n3+n5+n7,5)
  + 2.*Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n6,1)*Q(n4+n5+n7,3)
  - 2.*Q(n1+n2,2)*Q(n3,1)*Q(n6,1)*Q(n4+n5+n7,3)
  - 2.*Q(n2,1)*Q(n1+n3,2)*Q(n6,1)*Q(n4+n5+n7,3)
  - 2.*Q(n1,1)*Q(n2+n3,2)*Q(n6,1)*Q(n4+n5+n7,3)
  + 4.*Q(n1+n2+n3,3)*Q(n6,1)*Q(n4+n5+n7,3)
  - 2.*Q(n2,1)*Q(n3,1)*Q(n1+n6,2)*Q(n4+n5+n7,3)
  + 2.*Q(n2+n3,2)*Q(n1+n6,2)*Q(n4+n5+n7,3)
  - 2.*Q(n1,1)*Q(n3,1)*Q(n2+n6,2)*Q(n4+n5+n7,3)
  + 2.*Q(n1+n3,2)*Q(n2+n6,2)*Q(n4+n5+n7,3)
  + 4.*Q(n3,1)*Q(n1+n2+n6,3)*Q(n4+n5+n7,3)
  - 2.*Q(n1,1)*Q(n2,1)*Q(n3+n6,2)*Q(n4+n5+n7,3)
  + 2.*Q(n1+n2,2)*Q(n3+n6,2)*Q(n4+n5+n7,3)
  + 4.*Q(n2,1)*Q(n1+n3+n6,3)*Q(n4+n5+n7,3)
  + 4.*Q(n1,1)*Q(n2+n3+n6,3)*Q(n4+n5+n7,3)
  - 12.*Q(n1+n2+n3+n6,4)*Q(n4+n5+n7,3)
  - 6.*Q(n2,1)*Q(n3,1)*Q(n6,1)*Q(n1+n4+n5+n7,4)
  + 6.*Q(n2+n3,2)*Q(n6,1)*Q(n1+n4+n5+n7,4)
  + 6.*Q(n3,1)*Q(n2+n6,2)*Q(n1+n4+n5+n7,4)
  + 6.*Q(n2,1)*Q(n3+n6,2)*Q(n1+n4+n5+n7,4)
  - 12.*Q(n2+n3+n6,3)*Q(n1+n4+n5+n7,4)
  - 6.*Q(n1,1)*Q(n3,1)*Q(n6,1)*Q(n2+n4+n5+n7,4)
  + 6.*Q(n1+n3,2)*Q(n6,1)*Q(n2+n4+n5+n7,4)
  + 6.*Q(n3,1)*Q(n1+n6,2)*Q(n2+n4+n5+n7,4)
  + 6.*Q(n1,1)*Q(n3+n6,2)*Q(n2+n4+n5+n7,4)
  - 12.*Q(n1+n3+n6,3)*Q(n2+n4+n5+n7,4)
  + 24.*Q(n3,1)*Q(n6,1)*Q(n1+n2+n4+n5+n7,5)
  - 24.*Q(n3+n6,2)*Q(n1+n2+n4+n5+n7,5)
  - 6.*Q(n1,1)*Q(n2,1)*Q(n6,1)*Q(n3+n4+n5+n7,4)
  + 6.*Q(n1+n2,2)*Q(n6,1)*Q(n3+n4+n5+n7,4)
  + 6.*Q(n2,1)*Q(n1+n6,2)*Q(n3+n4+n5+n7,4)
  + 6.*Q(n1,1)*Q(n2+n6,2)*Q(n3+n4+n5+n7,4)
  - 12.*Q(n1+n2+n6,3)*Q(n3+n4+n5+n7,4)
  + 24.*Q(n2,1)*Q(n6,1)*Q(n1+n3+n4+n5+n7,5)
  - 24.*Q(n2+n6,2)*Q(n1+n3+n4+n5+n7,5)
  + 24.*Q(n1,1)*Q(n6,1)*Q(n2+n3+n4+n5+n7,5)
  - 24.*Q(n1+n6,2)*Q(n2+n3+n4+n5+n7,5)
  - 120.*Q(n6,1)*Q(n1+n2+n3+n4+n5+n7,6)
  - Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n5,1)*Q(n6+n7,2)
  + Q(n1+n2,2)*Q(n3,1)*Q(n4,1)*Q(n5,1)*Q(n6+n7,2)
  + Q(n2,1)*Q(n1+n3,2)*Q(n4,1)*Q(n5,1)*Q(n6+n7,2)
  + Q(n1,1)*Q(n2+n3,2)*Q(n4,1)*Q(n5,1)*Q(n6+n7,2)
  - 2.*Q(n1+n2+n3,3)*Q(n4,1)*Q(n5,1)*Q(n6+n7,2)
  + Q(n2,1)*Q(n3,1)*Q(n1+n4,2)*Q(n5,1)*Q(n6+n7,2)
  - Q(n2+n3,2)*Q(n1+n4,2)*Q(n5,1)*Q(n6+n7,2)
  + Q(n1,1)*Q(n3,1)*Q(n2+n4,2)*Q(n5,1)*Q(n6+n7,2)
  - Q(n1+n3,2)*Q(n2+n4,2)*Q(n5,1)*Q(n6+n7,2)
  - 2.*Q(n3,1)*Q(n1+n2+n4,3)*Q(n5,1)*Q(n6+n7,2)
  + Q(n1,1)*Q(n2,1)*Q(n3+n4,2)*Q(n5,1)*Q(n6+n7,2)
  - Q(n1+n2,2)*Q(n3+n4,2)*Q(n5,1)*Q(n6+n7,2)
  - 2.*Q(n2,1)*Q(n1+n3+n4,3)*Q(n5,1)*Q(n6+n7,2)
  - 2.*Q(n1,1)*Q(n2+n3+n4,3)*Q(n5,1)*Q(n6+n7,2)
  + 6.*Q(n1+n2+n3+n4,4)*Q(n5,1)*Q(n6+n7,2)
  + Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n1+n5,2)*Q(n6+n7,2)
  - Q(n2+n3,2)*Q(n4,1)*Q(n1+n5,2)*Q(n6+n7,2)
  - Q(n3,1)*Q(n2+n4,2)*Q(n1+n5,2)*Q(n6+n7,2)
  - Q(n2,1)*Q(n3+n4,2)*Q(n1+n5,2)*Q(n6+n7,2)
  + 2.*Q(n2+n3+n4,3)*Q(n1+n5,2)*Q(n6+n7,2)
  + Q(n1,1)*Q(n3,1)*Q(n4,1)*Q(n2+n5,2)*Q(n6+n7,2)
  - Q(n1+n3,2)*Q(n4,1)*Q(n2+n5,2)*Q(n6+n7,2)
  - Q(n3,1)*Q(n1+n4,2)*Q(n2+n5,2)*Q(n6+n7,2)
  - Q(n1,1)*Q(n3+n4,2)*Q(n2+n5,2)*Q(n6+n7,2)
  + 2.*Q(n1+n3+n4,3)*Q(n2+n5,2)*Q(n6+n7,2)
  - 2.*Q(n3,1)*Q(n4,1)*Q(n1+n2+n5,3)*Q(n6+n7,2)
  + 2.*Q(n3+n4,2)*Q(n1+n2+n5,3)*Q(n6+n7,2)
  + Q(n1,1)*Q(n2,1)*Q(n4,1)*Q(n3+n5,2)*Q(n6+n7,2)
  - Q(n1+n2,2)*Q(n4,1)*Q(n3+n5,2)*Q(n6+n7,2)
  - Q(n2,1)*Q(n1+n4,2)*Q(n3+n5,2)*Q(n6+n7,2)
  - Q(n1,1)*Q(n2+n4,2)*Q(n3+n5,2)*Q(n6+n7,2)
  + 2.*Q(n1+n2+n4,3)*Q(n3+n5,2)*Q(n6+n7,2)
  - 2.*Q(n2,1)*Q(n4,1)*Q(n1+n3+n5,3)*Q(n6+n7,2)
  + 2.*Q(n2+n4,2)*Q(n1+n3+n5,3)*Q(n6+n7,2)
  - 2.*Q(n1,1)*Q(n4,1)*Q(n2+n3+n5,3)*Q(n6+n7,2)
  + 2.*Q(n1+n4,2)*Q(n2+n3+n5,3)*Q(n6+n7,2)
  + 6.*Q(n4,1)*Q(n1+n2+n3+n5,4)*Q(n6+n7,2)
  + Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n4+n5,2)*Q(n6+n7,2)
  - Q(n1+n2,2)*Q(n3,1)*Q(n4+n5,2)*Q(n6+n7,2)
  - Q(n2,1)*Q(n1+n3,2)*Q(n4+n5,2)*Q(n6+n7,2)
  - Q(n1,1)*Q(n2+n3,2)*Q(n4+n5,2)*Q(n6+n7,2)
  + 2.*Q(n1+n2+n3,3)*Q(n4+n5,2)*Q(n6+n7,2)
  - 2.*Q(n2,1)*Q(n3,1)*Q(n1+n4+n5,3)*Q(n6+n7,2)
  + 2.*Q(n2+n3,2)*Q(n1+n4+n5,3)*Q(n6+n7,2)
  - 2.*Q(n1,1)*Q(n3,1)*Q(n2+n4+n5,3)*Q(n6+n7,2)
  + 2.*Q(n1+n3,2)*Q(n2+n4+n5,3)*Q(n6+n7,2)
  + 6.*Q(n3,1)*Q(n1+n2+n4+n5,4)*Q(n6+n7,2)
  - 2.*Q(n1,1)*Q(n2,1)*Q(n3+n4+n5,3)*Q(n6+n7,2)
  + 2.*Q(n1+n2,2)*Q(n3+n4+n5,3)*Q(n6+n7,2)
  + 6.*Q(n2,1)*Q(n1+n3+n4+n5,4)*Q(n6+n7,2)
  + 6.*Q(n1,1)*Q(n2+n3+n4+n5,4)*Q(n6+n7,2)
  - 24.*Q(n1+n2+n3+n4+n5,5)*Q(n6+n7,2)
  + 2.*Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n5,1)*Q(n1+n6+n7,3)
  - 2.*Q(n2+n3,2)*Q(n4,1)*Q(n5,1)*Q(n1+n6+n7,3)
  - 2.*Q(n3,1)*Q(n2+n4,2)*Q(n5,1)*Q(n1+n6+n7,3)
  - 2.*Q(n2,1)*Q(n3+n4,2)*Q(n5,1)*Q(n1+n6+n7,3)
  + 4.*Q(n2+n3+n4,3)*Q(n5,1)*Q(n1+n6+n7,3)
  - 2.*Q(n3,1)*Q(n4,1)*Q(n2+n5,2)*Q(n1+n6+n7,3)
  + 2.*Q(n3+n4,2)*Q(n2+n5,2)*Q(n1+n6+n7,3)
  - 2.*Q(n2,1)*Q(n4,1)*Q(n3+n5,2)*Q(n1+n6+n7,3)
  + 2.*Q(n2+n4,2)*Q(n3+n5,2)*Q(n1+n6+n7,3)
  + 4.*Q(n4,1)*Q(n2+n3+n5,3)*Q(n1+n6+n7,3)
  - 2.*Q(n2,1)*Q(n3,1)*Q(n4+n5,2)*Q(n1+n6+n7,3)
  + 2.*Q(n2+n3,2)*Q(n4+n5,2)*Q(n1+n6+n7,3)
  + 4.*Q(n3,1)*Q(n2+n4+n5,3)*Q(n1+n6+n7,3)
  + 4.*Q(n2,1)*Q(n3+n4+n5,3)*Q(n1+n6+n7,3)
  - 12.*Q(n2+n3+n4+n5,4)*Q(n1+n6+n7,3)
  + 2.*Q(n1,1)*Q(n3,1)*Q(n4,1)*Q(n5,1)*Q(n2+n6+n7,3)
  - 2.*Q(n1+n3,2)*Q(n4,1)*Q(n5,1)*Q(n2+n6+n7,3)
  - 2.*Q(n3,1)*Q(n1+n4,2)*Q(n5,1)*Q(n2+n6+n7,3)
  - 2.*Q(n1,1)*Q(n3+n4,2)*Q(n5,1)*Q(n2+n6+n7,3)
  + 4.*Q(n1+n3+n4,3)*Q(n5,1)*Q(n2+n6+n7,3)
  - 2.*Q(n3,1)*Q(n4,1)*Q(n1+n5,2)*Q(n2+n6+n7,3)
  + 2.*Q(n3+n4,2)*Q(n1+n5,2)*Q(n2+n6+n7,3)
  - 2.*Q(n1,1)*Q(n4,1)*Q(n3+n5,2)*Q(n2+n6+n7,3)
  + 2.*Q(n1+n4,2)*Q(n3+n5,2)*Q(n2+n6+n7,3)
  + 4.*Q(n4,1)*Q(n1+n3+n5,3)*Q(n2+n6+n7,3)
  - 2.*Q(n1,1)*Q(n3,1)*Q(n4+n5,2)*Q(n2+n6+n7,3)
  + 2.*Q(n1+n3,2)*Q(n4+n5,2)*Q(n2+n6+n7,3)
  + 4.*Q(n3,1)*Q(n1+n4+n5,3)*Q(n2+n6+n7,3)
  + 4.*Q(n1,1)*Q(n3+n4+n5,3)*Q(n2+n6+n7,3)
  - 12.*Q(n1+n3+n4+n5,4)*Q(n2+n6+n7,3)
  - 6.*Q(n3,1)*Q(n4,1)*Q(n5,1)*Q(n1+n2+n6+n7,4)
  + 6.*Q(n3+n4,2)*Q(n5,1)*Q(n1+n2+n6+n7,4)
  + 6.*Q(n4,1)*Q(n3+n5,2)*Q(n1+n2+n6+n7,4)
  + 6.*Q(n3,1)*Q(n4+n5,2)*Q(n1+n2+n6+n7,4)
  - 12.*Q(n3+n4+n5,3)*Q(n1+n2+n6+n7,4)
  + 2.*Q(n1,1)*Q(n2,1)*Q(n4,1)*Q(n5,1)*Q(n3+n6+n7,3)
  - 2.*Q(n1+n2,2)*Q(n4,1)*Q(n5,1)*Q(n3+n6+n7,3)
  - 2.*Q(n2,1)*Q(n1+n4,2)*Q(n5,1)*Q(n3+n6+n7,3)
  - 2.*Q(n1,1)*Q(n2+n4,2)*Q(n5,1)*Q(n3+n6+n7,3)
  + 4.*Q(n1+n2+n4,3)*Q(n5,1)*Q(n3+n6+n7,3)
  - 2.*Q(n2,1)*Q(n4,1)*Q(n1+n5,2)*Q(n3+n6+n7,3)
  + 2.*Q(n2+n4,2)*Q(n1+n5,2)*Q(n3+n6+n7,3)
  - 2.*Q(n1,1)*Q(n4,1)*Q(n2+n5,2)*Q(n3+n6+n7,3)
  + 2.*Q(n1+n4,2)*Q(n2+n5,2)*Q(n3+n6+n7,3)
  + 4.*Q(n4,1)*Q(n1+n2+n5,3)*Q(n3+n6+n7,3)
  - 2.*Q(n1,1)*Q(n2,1)*Q(n4+n5,2)*Q(n3+n6+n7,3)
  + 2.*Q(n1+n2,2)*Q(n4+n5,2)*Q(n3+n6+n7,3)
  + 4.*Q(n2,1)*Q(n1+n4+n5,3)*Q(n3+n6+n7,3)
  + 4.*Q(n1,1)*Q(n2+n4+n5,3)*Q(n3+n6+n7,3)
  - 12.*Q(n1+n2+n4+n5,4)*Q(n3+n6+n7,3)
  - 6.*Q(n2,1)*Q(n4,1)*Q(n5,1)*Q(n1+n3+n6+n7,4)
  + 6.*Q(n2+n4,2)*Q(n5,1)*Q(n1+n3+n6+n7,4)
  + 6.*Q(n4,1)*Q(n2+n5,2)*Q(n1+n3+n6+n7,4)
  + 6.*Q(n2,1)*Q(n4+n5,2)*Q(n1+n3+n6+n7,4)
  - 12.*Q(n2+n4+n5,3)*Q(n1+n3+n6+n7,4)
  - 6.*Q(n1,1)*Q(n4,1)*Q(n5,1)*Q(n2+n3+n6+n7,4)
  + 6.*Q(n1+n4,2)*Q(n5,1)*Q(n2+n3+n6+n7,4)
  + 6.*Q(n4,1)*Q(n1+n5,2)*Q(n2+n3+n6+n7,4)
  + 6.*Q(n1,1)*Q(n4+n5,2)*Q(n2+n3+n6+n7,4)
  - 12.*Q(n1+n4+n5,3)*Q(n2+n3+n6+n7,4)
  + 24.*Q(n4,1)*Q(n5,1)*Q(n1+n2+n3+n6+n7,5)
  - 24.*Q(n4+n5,2)*Q(n1+n2+n3+n6+n7,5)
  + 2.*Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n5,1)*Q(n4+n6+n7,3)
  - 2.*Q(n1+n2,2)*Q(n3,1)*Q(n5,1)*Q(n4+n6+n7,3)
  - 2.*Q(n2,1)*Q(n1+n3,2)*Q(n5,1)*Q(n4+n6+n7,3)
  - 2.*Q(n1,1)*Q(n2+n3,2)*Q(n5,1)*Q(n4+n6+n7,3)
  + 4.*Q(n1+n2+n3,3)*Q(n5,1)*Q(n4+n6+n7,3)
  - 2.*Q(n2,1)*Q(n3,1)*Q(n1+n5,2)*Q(n4+n6+n7,3)
  + 2.*Q(n2+n3,2)*Q(n1+n5,2)*Q(n4+n6+n7,3)
  - 2.*Q(n1,1)*Q(n3,1)*Q(n2+n5,2)*Q(n4+n6+n7,3)
  + 2.*Q(n1+n3,2)*Q(n2+n5,2)*Q(n4+n6+n7,3)
  + 4.*Q(n3,1)*Q(n1+n2+n5,3)*Q(n4+n6+n7,3)
  - 2.*Q(n1,1)*Q(n2,1)*Q(n3+n5,2)*Q(n4+n6+n7,3)
  + 2.*Q(n1+n2,2)*Q(n3+n5,2)*Q(n4+n6+n7,3)
  + 4.*Q(n2,1)*Q(n1+n3+n5,3)*Q(n4+n6+n7,3)
  + 4.*Q(n1,1)*Q(n2+n3+n5,3)*Q(n4+n6+n7,3)
  - 12.*Q(n1+n2+n3+n5,4)*Q(n4+n6+n7,3)
  - 6.*Q(n2,1)*Q(n3,1)*Q(n5,1)*Q(n1+n4+n6+n7,4)
  + 6.*Q(n2+n3,2)*Q(n5,1)*Q(n1+n4+n6+n7,4)
  + 6.*Q(n3,1)*Q(n2+n5,2)*Q(n1+n4+n6+n7,4)
  + 6.*Q(n2,1)*Q(n3+n5,2)*Q(n1+n4+n6+n7,4)
  - 12.*Q(n2+n3+n5,3)*Q(n1+n4+n6+n7,4)
  - 6.*Q(n1,1)*Q(n3,1)*Q(n5,1)*Q(n2+n4+n6+n7,4)
  + 6.*Q(n1+n3,2)*Q(n5,1)*Q(n2+n4+n6+n7,4)
  + 6.*Q(n3,1)*Q(n1+n5,2)*Q(n2+n4+n6+n7,4)
  + 6.*Q(n1,1)*Q(n3+n5,2)*Q(n2+n4+n6+n7,4)
  - 12.*Q(n1+n3+n5,3)*Q(n2+n4+n6+n7,4)
  + 24.*Q(n3,1)*Q(n5,1)*Q(n1+n2+n4+n6+n7,5)
  - 24.*Q(n3+n5,2)*Q(n1+n2+n4+n6+n7,5)
  - 6.*Q(n1,1)*Q(n2,1)*Q(n5,1)*Q(n3+n4+n6+n7,4)
  + 6.*Q(n1+n2,2)*Q(n5,1)*Q(n3+n4+n6+n7,4)
  + 6.*Q(n2,1)*Q(n1+n5,2)*Q(n3+n4+n6+n7,4)
  + 6.*Q(n1,1)*Q(n2+n5,2)*Q(n3+n4+n6+n7,4)
  - 12.*Q(n1+n2+n5,3)*Q(n3+n4+n6+n7,4)
  + 24.*Q(n2,1)*Q(n5,1)*Q(n1+n3+n4+n6+n7,5)
  - 24.*Q(n2+n5,2)*Q(n1+n3+n4+n6+n7,5)
  + 24.*Q(n1,1)*Q(n5,1)*Q(n2+n3+n4+n6+n7,5)
  - 24.*Q(n1+n5,2)*Q(n2+n3+n4+n6+n7,5)
  - 120.*Q(n5,1)*Q(n1+n2+n3+n4+n6+n7,6)
  + 2.*Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n5+n6+n7,3)
  - 2.*Q(n1+n2,2)*Q(n3,1)*Q(n4,1)*Q(n5+n6+n7,3)
  - 2.*Q(n2,1)*Q(n1+n3,2)*Q(n4,1)*Q(n5+n6+n7,3)
  - 2.*Q(n1,1)*Q(n2+n3,2)*Q(n4,1)*Q(n5+n6+n7,3)
  + 4.*Q(n1+n2+n3,3)*Q(n4,1)*Q(n5+n6+n7,3)
  - 2.*Q(n2,1)*Q(n3,1)*Q(n1+n4,2)*Q(n5+n6+n7,3)
  + 2.*Q(n2+n3,2)*Q(n1+n4,2)*Q(n5+n6+n7,3)
  - 2.*Q(n1,1)*Q(n3,1)*Q(n2+n4,2)*Q(n5+n6+n7,3)
  + 2.*Q(n1+n3,2)*Q(n2+n4,2)*Q(n5+n6+n7,3)
  + 4.*Q(n3,1)*Q(n1+n2+n4,3)*Q(n5+n6+n7,3)
  - 2.*Q(n1,1)*Q(n2,1)*Q(n3+n4,2)*Q(n5+n6+n7,3)
  + 2.*Q(n1+n2,2)*Q(n3+n4,2)*Q(n5+n6+n7,3)
  + 4.*Q(n2,1)*Q(n1+n3+n4,3)*Q(n5+n6+n7,3)
  + 4.*Q(n1,1)*Q(n2+n3+n4,3)*Q(n5+n6+n7,3)
  - 12.*Q(n1+n2+n3+n4,4)*Q(n5+n6+n7,3)
  - 6.*Q(n2,1)*Q(n3,1)*Q(n4,1)*Q(n1+n5+n6+n7,4)
  + 6.*Q(n2+n3,2)*Q(n4,1)*Q(n1+n5+n6+n7,4)
  + 6.*Q(n3,1)*Q(n2+n4,2)*Q(n1+n5+n6+n7,4)
  + 6.*Q(n2,1)*Q(n3+n4,2)*Q(n1+n5+n6+n7,4)
  - 12.*Q(n2+n3+n4,3)*Q(n1+n5+n6+n7,4)
  - 6.*Q(n1,1)*Q(n3,1)*Q(n4,1)*Q(n2+n5+n6+n7,4)
  + 6.*Q(n1+n3,2)*Q(n4,1)*Q(n2+n5+n6+n7,4)
  + 6.*Q(n3,1)*Q(n1+n4,2)*Q(n2+n5+n6+n7,4)
  + 6.*Q(n1,1)*Q(n3+n4,2)*Q(n2+n5+n6+n7,4)
  - 12.*Q(n1+n3+n4,3)*Q(n2+n5+n6+n7,4)
  + 24.*Q(n3,1)*Q(n4,1)*Q(n1+n2+n5+n6+n7,5)
  - 24.*Q(n3+n4,2)*Q(n1+n2+n5+n6+n7,5)
  - 6.*Q(n1,1)*Q(n2,1)*Q(n4,1)*Q(n3+n5+n6+n7,4)
  + 6.*Q(n1+n2,2)*Q(n4,1)*Q(n3+n5+n6+n7,4)
  + 6.*Q(n2,1)*Q(n1+n4,2)*Q(n3+n5+n6+n7,4)
  + 6.*Q(n1,1)*Q(n2+n4,2)*Q(n3+n5+n6+n7,4)
  - 12.*Q(n1+n2+n4,3)*Q(n3+n5+n6+n7,4)
  + 24.*Q(n2,1)*Q(n4,1)*Q(n1+n3+n5+n6+n7,5)
  - 24.*Q(n2+n4,2)*Q(n1+n3+n5+n6+n7,5)
  + 24.*Q(n1,1)*Q(n4,1)*Q(n2+n3+n5+n6+n7,5)
  - 24.*Q(n1+n4,2)*Q(n2+n3+n5+n6+n7,5)
  - 120.*Q(n4,1)*Q(n1+n2+n3+n5+n6+n7,6)
  - 6.*Q(n1,1)*Q(n2,1)*Q(n3,1)*Q(n4+n5+n6+n7,4)
  + 6.*Q(n1+n2,2)*Q(n3,1)*Q(n4+n5+n6+n7,4)
  + 6.*Q(n2,1)*Q(n1+n3,2)*Q(n4+n5+n6+n7,4)
  + 6.*Q(n1,1)*Q(n2+n3,2)*Q(n4+n5+n6+n7,4)
  - 12.*Q(n1+n2+n3,3)*Q(n4+n5+n6+n7,4)
  + 24.*Q(n2,1)*Q(n3,1)*Q(n1+n4+n5+n6+n7,5)
  - 24.*Q(n2+n3,2)*Q(n1+n4+n5+n6+n7,5)
  + 24.*Q(n1,1)*Q(n3,1)*Q(n2+n4+n5+n6+n7,5)
  - 24.*Q(n1+n3,2)*Q(n2+n4+n5+n6+n7,5)
  - 120.*Q(n3,1)*Q(n1+n2+n4+n5+n6+n7,6)
  + 24.*Q(n1,1)*Q(n2,1)*Q(n3+n4+n5+n6+n7,5)
  - 24.*Q(n1+n2,2)*Q(n3+n4+n5+n6+n7,5)
  - 120.*Q(n2,1)*Q(n1+n3+n4+n5+n6+n7,6)
  - 120.*Q(n1,1)*Q(n2+n3+n4+n5+n6+n7,6)
  + 720.*Q(n1+n2+n3+n4+n5+n6+n7,7);
